Debian Bug report logs - #616290
Patches solving FTBFS of isc-dhcp for GNU/Hurd

version graph

Package: isc-dhcp; Maintainer for isc-dhcp is Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>;

Reported by: svante.signell@gmail.com

Date: Thu, 3 Mar 2011 08:45:05 UTC

Severity: important

Tags: experimental, patch

Found in versions 4.3.0a1-2, 4.1.1-P1-16

Fixed in version isc-dhcp/4.3.0a1-2.1

Done: Samuel Thibault <sthibault@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bug-hurd@gnu.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Thu, 03 Mar 2011 08:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
New Bug report received and forwarded. Copy sent to bug-hurd@gnu.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 03 Mar 2011 08:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Debian bug reporting <submit@bugs.debian.org>
Subject: Patches solving FTBFS of isc-dhcp for GNU/Hurd
Date: Thu, 03 Mar 2011 09:42:10 +0100
[Message part 1 (text/plain, inline)]
Package: isc-dhcp
Version: 4.1.1-P1-16
Severity: important
Tags: patch, upstream
User: debian-hurd@lists.debian.org
Usertags: hurd

Attached are four patches to the isc-dhcp package to enable a successful
build for GNU/Hurd. This patch has been developed together with Samuel
Thibault, who improved my initial patches.

For a successful build from source, the one-line patch by Colin Watson
in bug #602312, has to be applied to the  dhcp-4.1.0-ldap-code.dpatch in
debian/patches. This is needed to cope with the new behavior of the
linker: --no-add-needed since gcc-4.4.5-11
http://wiki.debian.org/ToolChain/DSOLinking

The patches are:

1) "patch" is a patch against the debian/ directory to update package
dependencies and the patch order in 00list.

2) "fix_ftbfs4hurd.dpatch", containing only upstream changes, to be
added to debian/patches.

The following two files for debian/ are attached separately, to make
them more readable for review:

3) dhclient-script.hurd
4) dh-client-script.hurd.udeb

Thanks,
Svante Signell
[patch (text/x-patch, attachment)]
[fix_ftbfs4hurd.dpatch (application/x-shellscript, attachment)]
[dhclient-script.hurd (application/x-shellscript, attachment)]
[dhclient-script.hurd.udeb (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 04 Mar 2011 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 04 Mar 2011 06:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Samuel Thibault <sthibault@debian.org>
Cc: 616290@bugs.debian.org
Subject: Re: Bug#616290: Patches solving FTBFS of isc-dhcp for GNU/Hurd
Date: Fri, 04 Mar 2011 07:34:25 +0100
On Fri, 2011-03-04 at 04:06 +0100, Samuel Thibault wrote:
> Hello,
> 
> Svante Signell, le Thu 03 Mar 2011 09:42:10 +0100, a écrit :
> > 1) "patch" is a patch against the debian/ directory to update package
> > dependencies and the patch order in 00list.
> > 
> > 2) "fix_ftbfs4hurd.dpatch", containing only upstream changes, to be
> > added to debian/patches.
> > 
> > The following two files for debian/ are attached separately, to make
> > them more readable for review:
> > 
> > 3) dhclient-script.hurd
> > 4) dh-client-script.hurd.udeb
> 
> After more tests, here are fixed versions which avoid restarting the
> whole TCP/IP stack (which would break existing sockets).

So this would solve the problem I've had with SSH going down when
starting the dhcp client?







Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 04 Mar 2011 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 04 Mar 2011 08:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 616290@bugs.debian.org
Subject: Re: Bug#616290: Patches solving FTBFS of isc-dhcp for GNU/Hurd
Date: Fri, 4 Mar 2011 09:45:56 +0100
Hello,

Svante Signell, le Thu 03 Mar 2011 09:42:10 +0100, a écrit :
> 1) "patch" is a patch against the debian/ directory to update package
> dependencies and the patch order in 00list.
> 
> 2) "fix_ftbfs4hurd.dpatch", containing only upstream changes, to be
> added to debian/patches.
> 
> The following two files for debian/ are attached separately, to make
> them more readable for review:
> 
> 3) dhclient-script.hurd
> 4) dh-client-script.hurd.udeb

After more tests, here are fixed versions which avoid restarting the
whole TCP/IP stack (which would break existing sockets).

http://dept-info.labri.fr/~thibault/tmp/dhclient-script.hurd
http://dept-info.labri.fr/~thibault/tmp/dhclient-script.hurd.udeb

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 04 Mar 2011 18:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 04 Mar 2011 18:06:06 GMT) Full text and rfc822 format available.

Message #20 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: sthibault@debian.org
Cc: 616290@bugs.debian.org
Subject: [Fwd: Re: Bug#616290: Patches solving FTBFS of isc-dhcp for GNU/Hurd]
Date: Fri, 04 Mar 2011 19:02:59 +0100
Resending, unsuccessful first time for unknown reason.

-------- Forwarded Message --------
From: Svante Signell <svante.signell@telia.com>
To: Samuel Thibault <sthibault@debian.org>
Cc: 616290@bugs.debian.org
Subject: Re: Bug#616290: Patches solving FTBFS of isc-dhcp for GNU/Hurd
Date: Fri, 04 Mar 2011 07:34:25 +0100

On Fri, 2011-03-04 at 04:06 +0100, Samuel Thibault wrote:
> Hello,
> 
> Svante Signell, le Thu 03 Mar 2011 09:42:10 +0100, a écrit :
> > 1) "patch" is a patch against the debian/ directory to update package
> > dependencies and the patch order in 00list.
> > 
> > 2) "fix_ftbfs4hurd.dpatch", containing only upstream changes, to be
> > added to debian/patches.
> > 
> > The following two files for debian/ are attached separately, to make
> > them more readable for review:
> > 
> > 3) dhclient-script.hurd
> > 4) dh-client-script.hurd.udeb
> 
> After more tests, here are fixed versions which avoid restarting the
> whole TCP/IP stack (which would break existing sockets).

So this would solve the problem I've had with SSH going down when
starting the dhcp client?









Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 04 Mar 2011 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 04 Mar 2011 19:30:02 GMT) Full text and rfc822 format available.

Message #25 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Svante Signell <svante.signell@telia.com>
Cc: 616290@bugs.debian.org
Subject: Re: [Fwd: Re: Bug#616290: Patches solving FTBFS of isc-dhcp for GNU/Hurd]
Date: Fri, 4 Mar 2011 20:27:27 +0100
Svante Signell, le Fri 04 Mar 2011 19:02:59 +0100, a écrit :
> > After more tests, here are fixed versions which avoid restarting the
> > whole TCP/IP stack (which would break existing sockets).
> 
> So this would solve the problem I've had with SSH going down when
> starting the dhcp client?

Yes.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 15 Apr 2011 22:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Svante Signell <svante.signell@telia.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 15 Apr 2011 22:51:07 GMT) Full text and rfc822 format available.

Message #30 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: 616290@bugs.debian.org
Cc: debian-hurd maillist <debian-hurd@lists.debian.org>
Subject: One and a half month now, no feedback so far.
Date: Sat, 16 Apr 2011 00:41:37 +0200
Ping! This package has been hosted in debian-ports for some time now
without any problems. Thanks for your efforts!





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Mon, 23 May 2011 02:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 23 May 2011 02:00:06 GMT) Full text and rfc822 format available.

Message #35 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 616290@bugs.debian.org
Subject: Re: Bug#616290: Patches solving FTBFS of isc-dhcp for GNU/Hurd
Date: Mon, 23 May 2011 03:57:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

I've noticed a -17 version was uploaded, but unfortunately without
hurd patches.  For the record, here they are again, refreshed:

- fix_ftbfs4hurd.dpatch which is actually what is upstream changes to
  fix build on hurd, to be added before ldap backend fixes in 00list.
- patch which adds the above patch in 00list, and adds the
  inetutils-tools dependency on hurd-any to get inetutils-ifconfig.
- dhclient-script.hurd and dhclient-script.hurd.udeb, which I have
  refreshed against the latest Linux version, to be added in debian/

Could you please apply them?

Samuel
[patch (text/plain, attachment)]
[fix_ftbfs4hurd.dpatch (text/plain, attachment)]
[dhclient-script.hurd (text/plain, attachment)]
[dhclient-script.hurd.udeb (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 24 May 2011 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 24 May 2011 17:21:03 GMT) Full text and rfc822 format available.

Message #40 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Andrew Pollock <apollock@debian.org>
Cc: 616290@bugs.debian.org, Samuel Thibault <sthibault@debian.org>
Subject: Re: isc-dhcp patch for GNU/Hurd ignored
Date: Tue, 24 May 2011 19:18:52 +0200
On Tue, 2011-05-24 at 15:46 +1000, Andrew Pollock wrote:
> On Sun, May 22, 2011 at 03:40:40PM +0200, Svante Signell wrote:
> > Hi,
> > 
> > Is there any specific reason for ignoring the patches adding support for
> > GNU/Hurd in isc-dhcp. This package is part of the Debian installer,
> > which is working well on GNU/Hurd. Maybe the patches need to be updated
> > to conform with isc-dhcp-4.1.1-P1-17, please let me know if this is the
> > case. Currently this package is hosted at debian-ports for GNU/Hurd, but
> > I don't see any specific reason not to have it in main.
> 
> No specific reason, I just haven't gotten around to that particular bug yet.
> I deemed it a higher priority to try and advance IPv6 support a bit more.
> 
> Since you've brought this bug and patch to my attention, I've taken a brief
> look at it this evening. I'm going to have to forward it upstream for their
> feedback, as it touches a fair bit, and it's not the sort of thing I want to
> have to keep carrying indefinitely. I'd like to know that upstream is going
> to fix the issue at some point. This is still an issue in 4.2.1-P1,
> persumably, given the patch applies cleanly there.
> 
> I guess I should take a look at a build failure on GNU/Hurd, so I can better
> understand why what the patch is doing is necessary.
> 
> Given the patch does apply cleanly to 4.2.1-P1, it doesn't look like it will
> be an ongoing maintenance burden for me, so I can probably apply it while
> upstream figures out what to do about it long-term.

Thank you for your reply. So you mean that there will be no more patches
to 4.1.1-P1?

Regarding the question if the patches apply cleanly to 4.2.1 I don't
know since there are no Debian packages of 4.2.1 yet. In case you are
preparing these, please let me know when they are available, so I can
try if the patches apply cleanly or have to be modified.

To clarify, with upstream you mean:
http://www.isc.org/software/dhcp

Best regards! 







Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 31 May 2011 04:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 31 May 2011 04:27:02 GMT) Full text and rfc822 format available.

Message #45 received at 616290@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: dhcp-bugs@isc.org
Cc: Svante Signell <svante.signell@telia.com>, 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org
Subject: Patches solving build failure for GNU/Hurd
Date: Mon, 30 May 2011 21:11:34 -0700
[Message part 1 (text/plain, inline)]
Hello,

Please find attached a patch that was submitted to fix failure to build on
GNU/Hurd.

The patch touches a bit, and applies cleanly to 4.2.1-P1 as well. I'd like
to get some sort of feedback on the validity of it and likelyhood of it
being applied upstream before I go applying it to the Debian version.

Please preserve the Cc list on this message so that our bug tracking system
is kept in the loop.

regards

Andrew

On Thu, Mar 03, 2011 at 09:42:10AM +0100, Svante Signell wrote:
> Package: isc-dhcp
> Version: 4.1.1-P1-16
> Severity: important
> Tags: patch, upstream
> User: debian-hurd@lists.debian.org
> Usertags: hurd
> 
> Attached are four patches to the isc-dhcp package to enable a successful
> build for GNU/Hurd. This patch has been developed together with Samuel
> Thibault, who improved my initial patches.
> 
> For a successful build from source, the one-line patch by Colin Watson
> in bug #602312, has to be applied to the  dhcp-4.1.0-ldap-code.dpatch in
> debian/patches. This is needed to cope with the new behavior of the
> linker: --no-add-needed since gcc-4.4.5-11
> http://wiki.debian.org/ToolChain/DSOLinking
> 
> The patches are:
> 
> 1) "patch" is a patch against the debian/ directory to update package
> dependencies and the patch order in 00list.
> 
> 2) "fix_ftbfs4hurd.dpatch", containing only upstream changes, to be
> added to debian/patches.
> 
> The following two files for debian/ are attached separately, to make
> them more readable for review:
> 
> 3) dhclient-script.hurd
> 4) dh-client-script.hurd.udeb
> 
> Thanks,
> Svante Signell





> _______________________________________________
> pkg-dhcp-devel mailing list
> pkg-dhcp-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-dhcp-devel

[fix_ftbfs4hurd.dpatch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Andrew Pollock <apollock@debian.org>:
You have marked Bug as forwarded. (Tue, 31 May 2011 04:27:10 GMT) Full text and rfc822 format available.

Information stored :
Bug#616290; Package isc-dhcp. (Tue, 31 May 2011 04:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 31 May 2011 04:27:12 GMT) Full text and rfc822 format available.

Message #53 received at 616290-quiet@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: 616290-quiet@bugs.debian.org
Subject: [dhcp-bugs@isc.org: [ISC-Bugs #24697] AutoReply: Patches solving build failure for GNU/Hurd]
Date: Mon, 30 May 2011 21:13:19 -0700
----- Forwarded message from DHCP Bugs via RT <dhcp-bugs@isc.org> -----

From: DHCP Bugs via RT <dhcp-bugs@isc.org>
To: apollock@debian.org
Subject: [ISC-Bugs #24697] AutoReply: Patches solving build failure for GNU/Hurd 
Date: Tue, 31 May 2011 04:11:58 +0000


Greetings,

This message has been automatically generated in response to the
creation of a trouble ticket regarding:
	"Patches solving build failure for GNU/Hurd", 
a summary of which appears below.

There is no need to reply to this message right now.  Your ticket has been
assigned an ID of [ISC-Bugs #24697].

Please include the string:

         [ISC-Bugs #24697]

in the subject line of all future correspondence about this issue. To do so, 
you may reply to this message.

                        Thank you,
                        dhcp-bugs@isc.org

-------------------------------------------------------------------------
Hello,

Please find attached a patch that was submitted to fix failure to build on
GNU/Hurd.

The patch touches a bit, and applies cleanly to 4.2.1-P1 as well. I'd like
to get some sort of feedback on the validity of it and likelyhood of it
being applied upstream before I go applying it to the Debian version.

Please preserve the Cc list on this message so that our bug tracking system
is kept in the loop.

regards

Andrew

On Thu, Mar 03, 2011 at 09:42:10AM +0100, Svante Signell wrote:
> Package: isc-dhcp
> Version: 4.1.1-P1-16
> Severity: important
> Tags: patch, upstream
> User: debian-hurd@lists.debian.org
> Usertags: hurd
> 
> Attached are four patches to the isc-dhcp package to enable a successful
> build for GNU/Hurd. This patch has been developed together with Samuel
> Thibault, who improved my initial patches.
> 
> For a successful build from source, the one-line patch by Colin Watson
> in bug #602312, has to be applied to the  dhcp-4.1.0-ldap-code.dpatch in
> debian/patches. This is needed to cope with the new behavior of the
> linker: --no-add-needed since gcc-4.4.5-11
> http://wiki.debian.org/ToolChain/DSOLinking
> 
> The patches are:
> 
> 1) "patch" is a patch against the debian/ directory to update package
> dependencies and the patch order in 00list.
> 
> 2) "fix_ftbfs4hurd.dpatch", containing only upstream changes, to be
> added to debian/patches.
> 
> The following two files for debian/ are attached separately, to make
> them more readable for review:
> 
> 3) dhclient-script.hurd
> 4) dh-client-script.hurd.udeb
> 
> Thanks,
> Svante Signell





> _______________________________________________
> pkg-dhcp-devel mailing list
> pkg-dhcp-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-dhcp-devel



----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Wed, 01 Jun 2011 20:24:06 GMT) Full text and rfc822 format available.

Message #56 received at 616290@bugs.debian.org (full text, mbox):

From: "Alan Clegg via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Wed, 1 Jun 2011 20:13:37 +0000
On Tue May 31 04:11:58 2011, apollock@debian.org wrote:
> Hello,
> 
> Please find attached a patch that was submitted to fix failure to build 
on
> GNU/Hurd.

This build issue is being addressed in the next release of ISC DHCP (the 
"fix" has already been created).  I'll pass this on to engineering to have 
a quick look (for the interim).

Thanks for the interest and letting us know about the patches before they 
are applied "downstream".

AlanC






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 27 Sep 2011 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 27 Sep 2011 09:33:06 GMT) Full text and rfc822 format available.

Message #62 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 616290@bugs.debian.org
Cc: svante.signell@telia.com
Subject: Re: Bug#616290: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Tue, 27 Sep 2011 11:29:44 +0200
Hello,

I've noticed isc-dhcp_4.2.2-1 has uploaded, but unfortunately without
hurd patches. They still apply correctly. Could you have a look?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 27 Sep 2011 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 27 Sep 2011 11:45:06 GMT) Full text and rfc822 format available.

Message #67 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: dhcp-bugs@isc.org
Cc: 616290@bugs.debian.org, apollock@debian.org, sthibault <sthibault@debian.org>
Subject: What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?
Date: Tue, 27 Sep 2011 13:39:55 +0200
Att: Alan Clegg 

Hi,

Looks like there is a new upstream of isc-dhcp released 10 Aug 2011 not
including the patches for GNU/Hurd as promised, see below. The patches
are included in the above bug reports. They still apply cleanly to
4.2.2-1. What happened?

Is there any way to see the bugs handled by dhcp-bugs@isc.org
Searching gave no hits to any mailing list archive for the bugs, only
dhcp-{announce,hackers,users,workers} are available.

Pasted in from a mail dated June 1, 2011:
Message #56 received at 616290@bugs.debian.org:

> From: "Alan Clegg via RT" <dhcp-bugs@isc.org>
> To: apollock@debian.org
> Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
> Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd 
> Date: Wed, 1 Jun 2011 20:13:37 +0000
> 
> On Tue May 31 04:11:58 2011, apollock@debian.org wrote:
> > Hello,
> > 
> > Please find attached a patch that was submitted to fix failure to build 
> on
> > GNU/Hurd.
> 
> This build issue is being addressed in the next release of ISC DHCP (the 
> "fix" has already been created).  I'll pass this on to engineering to have 
> a quick look (for the interim).
> 
> Thanks for the interest and letting us know about the patches before they 
> are applied "downstream".
> 
> AlanC


Thanks in advance for resolving this issue!





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 08 Nov 2011 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 08 Nov 2011 17:45:03 GMT) Full text and rfc822 format available.

Message #72 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: dhcp-bugs@isc.org
Cc: 616290@bugs.debian.org, 616290-forwarded@bugs.debian.org
Subject: Re: [ISC-Bugs #25979] AutoReply: What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?
Date: Tue, 08 Nov 2011 18:43:55 +0100
Dear isc-dhcp maintainers.

I am sorry to bother you again about this issue. Maybe this bug has not
been closed yet due to lack of time, most people are very busy with
everyday life. As seen below, the patch for GNU/Hurd for isc-dhcp was
promised to appear in the latest release. Unfortunately it was not.

The patch is of very large importance for GNU/Hurd since until now the
architecture is not supported. Additionally, the Debian maintainer is
reluctant to include this patch due to that a non-trivial amount of code
is changed, and there are two new configuration files included too. The
patch submitted to Debian bug #616290 in 3 March 2011 to 4.1.1-P1-17 and
forwarded upstream, applies without problems also for the new release,
4.2.2-1, from 10 August 2011.

Thanks!

On Tue, 2011-09-27 at 11:40 +0000, DHCP Bugs via RT wrote:
> Greetings,
> 
> This message has been automatically generated in response to the
> creation of a trouble ticket regarding:
> 	"What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?", 
> a summary of which appears below.
> 
> There is no need to reply to this message right now.  Your ticket has been
> assigned an ID of [ISC-Bugs #25979].
> 
> Please include the string:
> 
>          [ISC-Bugs #25979]
> 
> in the subject line of all future correspondence about this issue. To do so, 
> you may reply to this message.
> 
>                         Thank you,
>                         dhcp-bugs@isc.org
> 
> -------------------------------------------------------------------------
> Att: Alan Clegg 
> 
> Hi,
> 
> Looks like there is a new upstream of isc-dhcp released 10 Aug 2011 not
> including the patches for GNU/Hurd as promised, see below. The patches
> are included in the above bug reports. They still apply cleanly to
> 4.2.2-1. What happened?
> 
> Is there any way to see the bugs handled by dhcp-bugs@isc.org
> Searching gave no hits to any mailing list archive for the bugs, only
> dhcp-{announce,hackers,users,workers} are available.
> 
> Pasted in from a mail dated June 1, 2011:
> Message #56 received at 616290@bugs.debian.org:
> 
> > From: "Alan Clegg via RT" <dhcp-bugs@isc.org>
> > To: apollock@debian.org
> > Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
> > Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd 
> > Date: Wed, 1 Jun 2011 20:13:37 +0000
> > 
> > On Tue May 31 04:11:58 2011, apollock@debian.org wrote:
> > > Hello,
> > > 
> > > Please find attached a patch that was submitted to fix failure to build 
> > on
> > > GNU/Hurd.
> > 
> > This build issue is being addressed in the next release of ISC DHCP (the 
> > "fix" has already been created).  I'll pass this on to engineering to have 
> > a quick look (for the interim).
> > 
> > Thanks for the interest and letting us know about the patches before they 
> > are applied "downstream".
> > 
> > AlanC
> 
> 
> Thanks in advance for resolving this issue!
> 
> 
> 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Wed, 14 Dec 2011 18:30:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 18:30:17 GMT) Full text and rfc822 format available.

Message #78 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, debian-devel <debian-devel@lists.debian.org>
Cc: 616290@bugs.debian.org
Subject: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Wed, 14 Dec 2011 19:29:39 +0100
Dear Debian/Hurd, GNU/Hurd and Debian-devel people. This arrived today.
Any ideas on how to proceed? Is it possible to create a Hurd-specific
fork of the latest ISC-DHCP release? DHCP is an essential package in the
Debian Installer.

Is it possible to do something at Debian level? The text below is from
the DPL Stefano Zacchiroli latest news, from November 2011:  

Relationships with others
=========================
- Thanks to the interest of Andrew Pollock, LaMont Jones, Florian Weimer
  and the Security Team, we are discussing with ISC to have Debian ---
  as a project, rather than as individuals who just happen to maintain
  ISC software in Debian --- become member of all forums relevant for
  software we distribute (BIND, NTP, DHCP). They are doing all the
  coordination work, but I've anticipated I'll be happy to pledge for
  Debian membership.

If GNU/Hurd is ever to become one of the supported architectures in
Debian, upstream portable software support is essential. The message
below counteracts these aims largely :-(

-------- Forwarded Message --------
From: Cathy Almond via RT <dhcp-bugs@isc.org>
Reply-to: dhcp-bugs@isc.org
To: svante.signell@telia.com
Subject: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs
#24697 (Debian Bug #616290)?
Date: Wed, 14 Dec 2011 17:57:03 +0000

Hi Svante,

> Dear isc-dhcp developers.
>
> I am sorry to bother you again about this issue. Maybe this bug has
> not
> been closed yet due to lack of time, most people are very busy with
> everyday life. As seen below, the patch for GNU/Hurd for isc-dhcp was
> promised to appear in the latest release. Unfortunately it was not.
>
> The patch is of very large importance for GNU/Hurd since until now the
> architecture is not supported. Additionally, the Debian maintainer is
> reluctant to include this patch due to that a non-trivial amount of
> code
> is changed, and there are two new configuration files included too.
> The
> patch submitted to Debian bug #616290 in 3 March 2011 to 4.1.1-P1-17
> and
> forwarded upstream, applies without problems also for the new release,
> 4.2.2-1, from 10 August 2011.
>
> Thanks!
I'm afraid that a mistake was made earlier when the response was given that we
planned to incorporate the submitted patch for ticket #24697. This seems to
have been due to an internal misunderstanding. Subsequently we've reviewed the
patch and discussed at length the request to have it included and have to say
that we have no plans to incorporate it in the near future.

We have some technical reservations about the proposed change in relation to
the effect they might have in other OS environments, and additionally we don't
have a test environment in which to verify the stability/supportability of the
resulting build(s) going forward.

We receive a large volume of development work requests, and while we accept
that this one is of importance to the gnu/hurd maintainers, we understand that
the number of users of this OS is relatively small and we have to take this
into account when deciding how to utilise our resources.

So with regret for the disappointment that this answer will cause, our response
has to be that this is not something that we can do now, although of course the
decision can be revisited in the future if circumstances change.

Kind regards,

Cathy Almond
ISC Support







Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Thu, 15 Dec 2011 14:46:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 15 Dec 2011 14:46:12 GMT) Full text and rfc822 format available.

Message #83 received at 616290@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: svante.signell@telia.com
Cc: debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, debian-devel <debian-devel@lists.debian.org>, 616290@bugs.debian.org
Subject: Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Thu, 15 Dec 2011 14:15:11 +0000
Svante Signell writes ("[Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]"):
> Dear Debian/Hurd, GNU/Hurd and Debian-devel people. This arrived today.
> Any ideas on how to proceed? Is it possible to create a Hurd-specific
> fork of the latest ISC-DHCP release? DHCP is an essential package in the
> Debian Installer.

I went and read the Debian bug report.  The difficulty seems to be
with the patch "fix_ftbfs4hurd.dpatch".  I have to say that on reading
that patch I understood upstream's reluctance.  I don't think it looks
to me like a correct and appropriate fix for build portability
problems.

Unfortunately the upstream bug tracker is secret so we can't see any
discussion there, but the initial message sent to dhcp-bugs@isc
doesn't seem really to explain the thinking behind the patch.

Where can I find the detailed explanation of why this patch is
required and how it works to fix the problems ?  At the moment I can't
even seem to find an error message from an FTBFS log.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 16 Dec 2011 13:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 16 Dec 2011 13:48:08 GMT) Full text and rfc822 format available.

Message #88 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, debian-devel <debian-devel@lists.debian.org>, 616290@bugs.debian.org
Subject: Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Fri, 16 Dec 2011 14:44:05 +0100
On Thu, 2011-12-15 at 14:15 +0000, Ian Jackson wrote:
> Svante Signell writes ("[Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]"):
> > Dear Debian/Hurd, GNU/Hurd and Debian-devel people. This arrived today.
> > Any ideas on how to proceed? Is it possible to create a Hurd-specific
> > fork of the latest ISC-DHCP release? DHCP is an essential package in the
> > Debian Installer.
> 
> I went and read the Debian bug report.  The difficulty seems to be
> with the patch "fix_ftbfs4hurd.dpatch".  I have to say that on reading
> that patch I understood upstream's reluctance.  I don't think it looks
> to me like a correct and appropriate fix for build portability
> problems.

There are two things involved in that patch, the PATH_MAX issues in
dh_client.c and dhcpd.c, and the changes to lpf.c. In my first version,
I did split the relevant lpf.c parts into a Hurd-specific one called
lpf_get_hw_addr.c. Later Samuel Thibault changed that into lpf.c
directly, by defining a new macro USE_LPF_HWADDR, and use that. In case
having a Hurd-specific part of lpf.c is more easily accepted by
upstream, we can make these changes to the current patch.

> Unfortunately the upstream bug tracker is secret so we can't see any
> discussion there, but the initial message sent to dhcp-bugs@isc
> doesn't seem really to explain the thinking behind the patch.

That message was sent by the DM, and did not contain much more
information than the Debian bug report itself (and the patch).

> Where can I find the detailed explanation of why this patch is
> required and how it works to fix the problems ?  At the moment I can't
> even seem to find an error message from an FTBFS log.

More information can be found at the debian-hurd and bug-hurd ML
archives:

http://lists.gnu.org/archive/html/bug-hurd/2011-02/threads.html
http://lists.gnu.org/archive/html/bug-hurd/2011-03/threads.html





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 16 Dec 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 16 Dec 2011 14:24:04 GMT) Full text and rfc822 format available.

Message #93 received at 616290@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: svante.signell@telia.com
Cc: debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, debian-devel <debian-devel@lists.debian.org>, 616290@bugs.debian.org
Subject: Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Fri, 16 Dec 2011 14:20:55 +0000
Svante Signell writes ("Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]"):
> On Thu, 2011-12-15 at 14:15 +0000, Ian Jackson wrote:
> > Where can I find the detailed explanation of why this patch is
> > required and how it works to fix the problems ?  At the moment I can't
> > even seem to find an error message from an FTBFS log.

This was really my key question.

Any submission of a patch allegedly fixing a bug (by which I mean to
include a portability problem), to any project, should include a clear
description, in detail, of what the bug is thought to be and how the
patch solves it.

> More information can be found at the debian-hurd and bug-hurd ML
> archives:
> 
> http://lists.gnu.org/archive/html/bug-hurd/2011-02/threads.html
> http://lists.gnu.org/archive/html/bug-hurd/2011-03/threads.html

A reference to a mailing list thread may helpful as background
reading, but I'm afraid it does not meet the standard I would expect
for a patch submission.

I'm afraid you need to go back and revise your submissions to isc-dhcp
upstream.  You need to:

 * Identify what the separate problems are

 * For each individual problem:
   - Research applicable best practices and standards
   - Decide accordingly whether the fault lies with isc-dhcp or hurd
   - Decide how to fix the problem
   - Create and test a separate patch, either against isc-dhcpd or
     hurd or perhaps both
   - Write a clear and detailed explanation; this explanation 
     should cover all of the matters I've just mentioned.

So far our (Debian's) communications with dhcpd upstream on this topic
seem to be lacking in this area.  If you like I would be happy to
review your next submissiosn to upstream, before you send them.

Thanks,
Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 16 Dec 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 16 Dec 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #98 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>
Cc: debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, debian-devel <debian-devel@lists.debian.org>, 616290@bugs.debian.org
Subject: Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Fri, 16 Dec 2011 16:51:28 +0100
On Fri, 2011-12-16 at 14:20 +0000, Ian Jackson wrote:
> Svante Signell writes ("Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]"):
> > On Thu, 2011-12-15 at 14:15 +0000, Ian Jackson wrote:
> > > Where can I find the detailed explanation of why this patch is
> > > required and how it works to fix the problems ?  At the moment I can't
> > > even seem to find an error message from an FTBFS log.
> 
> This was really my key question.

Looks like there is no old FTBFS build log, but since the build will
fail due to PATH_MAX issues, why is a failed build log so important?

Since the patch was created this package was built using the patch in
Debian bug #616290 and is available in debian-ports since March 2011.
That is the reason for not queuing this package to the buildds, it would
be a waste of time. Please refer to Samuel Thibault, he is the buildd
admin, also a DM and DD. I am neither!

> Any submission of a patch allegedly fixing a bug (by which I mean to
> include a portability problem), to any project, should include a clear
> description, in detail, of what the bug is thought to be and how the
> patch solves it.

I wrote in parts of my previous mail (which you removed) about the two
issues: PATH_MAX and lpf.c. And PATH_MAX is not only a problem with this
package!

> > More information can be found at the debian-hurd and bug-hurd ML
> > archives:
> > 
> > http://lists.gnu.org/archive/html/bug-hurd/2011-02/threads.html
> > http://lists.gnu.org/archive/html/bug-hurd/2011-03/threads.html
> 
> A reference to a mailing list thread may helpful as background
> reading, but I'm afraid it does not meet the standard I would expect
> for a patch submission.

You asked for more information, and it is there. It is also available
from the debian-hurd mailing list. I cannot rewrite history, can I?

Are there any rules for what to include in a patch? I've never seen one.

> I'm afraid you need to go back and revise your submissions to isc-dhcp
> upstream.  You need to:
>  * Identify what the separate problems are
> 

Note: I have not submitted any patch to upstream ISC-DHCP, read the bug
log! Neither has Samuel, all communication was via the DM in this bug
report! The patch was submitted upstream by the Debian Maintainer,
Andrew Pollock.

>  * For each individual problem:
>    - Research applicable best practices and standards

Done already!

>    - Decide accordingly whether the fault lies with isc-dhcp or hurd

See above, PATH_MAX and lpf.c!

>    - Decide how to fix the problem

The patch is already there! It could be revised if upstream had any
interest in communicating, either with the patch submitters or the DM.

>    - Create and test a separate patch, either against isc-dhcpd or
>      hurd or perhaps both

There is no patch against Hurd, only against isc-dhcp!

>    - Write a clear and detailed explanation; this explanation
>      should cover all of the matters I've just mentioned.

We will do that (in addition to the previous mail) if upstream was
interested in communicating.

> So far our (Debian's) communications with dhcpd upstream on this topic
> seem to be lacking in this area.  If you like I would be happy to
> review your next submissiosn to upstream, before you send them.

As said before: _ALL_(the very limited) communication with upstream has
been via the DM, and the Debian bug. There has been _no_ submission
upstream of _any_ patches, either by me or Samuel. And the DM is Andrew
Pollock, at least this is what the package webpage says. Who are in the
Debian ISC DHCP Maintainers group I don't have any idea, where is that
found?

I think Samuel should reply on this matter, I just happen to be the
person submitting the bug report. And I am very grateful for his help in
creating the patch to make isc-dhcp working for GNU/Hurd. Otherwise we
would not have come as far as we have on the Debian-Installer port for
GNU/Hurd. 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 16 Dec 2011 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 16 Dec 2011 18:15:03 GMT) Full text and rfc822 format available.

Message #103 received at 616290@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: svante.signell@telia.com
Cc: debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, debian-devel <debian-devel@lists.debian.org>, 616290@bugs.debian.org
Subject: Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Fri, 16 Dec 2011 18:10:26 +0000
Svante Signell writes ("Re: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]"):
> [ stuff ]

It looks like I'm not expressing myself well enough.  Or at any rate,
I'm not getting through.  Perhaps someone else would like to try to
explain ?

I'll have one more go:

>   Please refer to Samuel Thibault, he is the buildd
> admin, also a DM and DD. I am neither! 
 ...
> Note: I have not submitted any patch to upstream ISC-DHCP, read the bug
> log! Neither has Samuel, all communication was via the DM in this bug
> report! The patch was submitted upstream by the Debian Maintainer,
> Andrew Pollock.

By "you" I meant "the people in Debian who are trying to get this
problem fixed".  That might include you personally (I guess you are a
hurd porter?) but it also includes the various DMs, sponsors, etc.

> You asked for more information, and it is there. It is also available
> from the debian-hurd mailing list. I cannot rewrite history, can I?

You can summarise and digest it.  An upstream developer does not want
to read a long mailing list thread; they need a clear and integrated
summary of the situation.

> > Any submission of a patch allegedly fixing a bug (by which I mean to
> > include a portability problem), to any project, should include a clear
> > description, in detail, of what the bug is thought to be and how the
> > patch solves it.
> 
> I wrote in parts of my previous mail (which you removed) about the two
> issues: PATH_MAX and lpf.c. And PATH_MAX is not only a problem with this
> package!

Reading between the lines I think you mean "hurd does not supply a
definition of PATH_MAX and isc-dhcp relies on PATH_MAX being defined".

But you aren't saying that.  Instead you're just waving your arms
vigorously and shouting the single word "PATH_MAX" louder and louder.
For example, you haven't explained why you think it is the fault of
isc-dhcp for wanting PATH_MAX rather than the fault of hurd for not
providing it.

(I agree that PATH_MAX is a bad interface but I would be inclined
simply to #define it as 4096 and be done with it.)

I have no idea what you are referring to when you say "lpf.c".  Your
patch submission need to explain things to someone who is unfamiliar
with the background (for example, a submissionn to isc-dhcp should
not assume that the reader knows anything much about Hurd or Debian)
and be complete and comprehensible.  Evidently you don't have such a
summary or I guess you would have pasted into your emails here.  But
you (collectively) need to write one.

> >    - Decide how to fix the problem
> 
> The patch is already there! It could be revised if upstream had any
> interest in communicating, either with the patch submitters or the DM.

I'm afraid that my opinion is that upstream's failure to engage
here is entirely understandable.

> > A reference to a mailing list thread may helpful as background
> > reading, but I'm afraid it does not meet the standard I would expect
> > for a patch submission.
> 
> Are there any rules for what to include in a patch? I've never seen one.

Many projects have their own documents, but the general principles are
the same across many free software projects.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Thu, 12 Jan 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Thu, 12 Jan 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #108 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Andrew Pollock <apollock@debian.org>
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>, 616290@bugs.debian.org, debian-hurd <debian-hurd@lists.debian.org>, debian-devel <debian-devel@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>
Subject: Re: Bug#616290: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Thu, 12 Jan 2012 15:42:00 +0100
On Wed, 2012-01-11 at 22:12 -0800, Andrew Pollock wrote:
> On Fri, Dec 16, 2011 at 02:20:55PM +0000, Ian Jackson wrote:
> > 
> > So far our (Debian's) communications with dhcpd upstream on this topic
> > seem to be lacking in this area.  If you like I would be happy to
> > review your next submissiosn to upstream, before you send them.
> 
> I'm expecting to have a face-to-face meeting with the ISC DHCP folks next week,
> and the Hurd situation is one of the topics of discussion. If the stakeholders
> from debian-hurd want me to convey anything in particular, then now's the time
> to speak up.
> 
> I don't have a dog in this fight. I don't use Hurd, I don't have a good
> understanding of what the problem is or how the patch(es) solve it.

Thank you for the information about your meeting next week. Samuel
Thibault will take care of supplying additional information about the patch
(or an updated one) in due time before your meeting.

Thanks,
Svante Signell





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 13 Jan 2012 02:18:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 13 Jan 2012 02:18:19 GMT) Full text and rfc822 format available.

Message #113 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@gnu.org>
To: svante.signell@telia.com, 616290@bugs.debian.org
Cc: Andrew Pollock <apollock@debian.org>, Ian Jackson <ijackson@chiark.greenend.org.uk>, debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, dhcp-bugs@isc.org
Subject: Re: Bug#616290: ISC-Bugs #25979: FTBFS of isc-dhcp for GNU/Hurd
Date: Fri, 13 Jan 2012 03:11:06 +0100
[Message part 1 (text/plain, inline)]
Hello,

(dropping Cc debian-devel, it's not worth it)

Here is an updated version of the patch, as well as some information
about it, I've both attached the patch and commented it below. There is
also an additional patch for the embedded bind code. Eventually, there
is an empty rfc3442 script for now.

> --- isc-dhcp-4.1.1-P1~/client/dhclient.c	2011-03-03 01:10:28.000000000 +0000
> +++ isc-dhcp-4.1.1-P1/client/dhclient.c	2011-03-03 01:11:08.000000000 +0000
> @@ -342,21 +342,33 @@
>  	 * to be reopened after chdir() has been called
>  	 */
>  	if (path_dhclient_db[0] != '/') {
> -		char *path = dmalloc(PATH_MAX, MDL);

PATH_MAX is not defined on GNU/Hurd, because there is no such hard
path length limitation. But since it's a GNU system, there's the nice
extension (which is now also in POSIX 2008 actually) saying that
realpath allocates the required memory when its argument is NULL, so the
following hook simply replaces on GNU the PATH_MAX allocation with a
mere call to realpath:

> +		char *path;
> +#ifdef __GLIBC__
> +		path = realpath(path_dhclient_db, NULL);
> +#else
> +		path = dmalloc(PATH_MAX, MDL);
>  		if (path == NULL)
>  			log_fatal("No memory for filename\n");
> -		path_dhclient_db = realpath(path_dhclient_db, path);
> -		if (path_dhclient_db == NULL)
> -			log_fatal("%s: %s", path, strerror(errno));
> +		path = realpath(path_dhclient_db, path);
> +#endif

The failure code if factorized. Note that there was actually a bug in
the original code: if realpath returns NULL, the string pointed by
path was undefined. Storing the result of realpath in path instead of
path_dhclient_db allows to print the culprit path:

> +		if (path == NULL)
> +			log_fatal("%s: %s", path_dhclient_db, strerror(errno));
> +		path_dhclient_db = path;

In both cases path_dhclient_db ends up pointing on a newly-allocated
string, so there is no allocation issue.

>  	}
 

Ditto.

>  	if (path_dhclient_script[0] != '/') {
> -		char *path = dmalloc(PATH_MAX, MDL);
> +		char *path;
> +#ifdef __GLIBC__
> +		path = realpath(path_dhclient_script, NULL);
> +#else
> +		path = dmalloc(PATH_MAX, MDL);
>  		if (path == NULL)
>  			log_fatal("No memory for filename\n");
> -		path_dhclient_script = realpath(path_dhclient_script, path);
> -		if (path_dhclient_script == NULL)
> -			log_fatal("%s: %s", path, strerror(errno));
> +		path = realpath(path_dhclient_script, path);
> +#endif
> +		if (path == NULL)
> +			log_fatal("%s: %s", path_dhclient_script, strerror(errno));
> +		path_dhclient_script = path;
>  	}
>  
>  	/* first kill off any currently running client */


Ditto

> diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' isc-dhcp-4.1.1-P1~/server/dhcpd.c isc-dhcp-4.1.1-P1/server/dhcpd.c
> --- isc-dhcp-4.1.1-P1~/server/dhcpd.c	2011-03-03 01:06:44.000000000 +0000
> +++ isc-dhcp-4.1.1-P1/server/dhcpd.c	2011-03-03 01:11:08.000000000 +0000
> @@ -449,12 +449,18 @@
>           * to be reopened after chdir() has been called
>           */
>          if (path_dhcpd_db[0] != '/') {
> -                char *path = dmalloc(PATH_MAX, MDL);
> +                char *path;
> +#ifdef __GLIBC__
> +                path = realpath(path_dhcpd_db, NULL);
> +#else
> +                path = dmalloc(PATH_MAX, MDL);
>                  if (path == NULL)
>                          log_fatal("No memory for filename\n");
> -                path_dhcpd_db = realpath(path_dhcpd_db,  path);
> -                if (path_dhcpd_db == NULL)
> -                        log_fatal("%s: %s", path, strerror(errno));
> +                path = realpath(path_dhcpd_db, path);
> +#endif
> +                if (path == NULL)
> +                        log_fatal("%s: %s", path_dhcpd_db, strerror(errno));
> +                path_dhcpd_db = path;
>          }
>  
>  	if (!quiet) {

The following changes add support for being fine with just using only
the standard BSD socket API (GNU/Hurd has neither linux/filter.h, nor
sys/dlpi.h, nor net/bpf.h, but that's not actually mandatory for basic
dhcp support). Otherwise, undefined references to send_packet etc. would
be emitted.

> diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' isc-dhcp-4.1.1-P1~/configure.ac isc-dhcp-4.1.1-P1/configure.ac
> --- isc-dhcp-4.1.1-P1~/configure.ac	2011-03-03 01:10:44.000000000 +0000
> +++ isc-dhcp-4.1.1-P1/configure.ac	2011-03-03 01:11:36.000000000 +0000
> @@ -366,9 +366,17 @@
>  		AC_CHECK_HEADER(net/bpf.h, DO_BPF=1)
>  		if test -n "$DO_BPF"
>  		then
> -			AC_DEFINE([HAVE_BPF], [""],
> +			AC_DEFINE([HAVE_BPF], [1],
>  	  			  [Define to 1 to use the 
>  				   Berkeley Packet Filter interface code.])
> +		else

Testing the presence of the BSD interface as automatic last resort
(without having to specify --enable-use-sockets).

> +			AC_CHECK_HEADER(sys/socket.h, DO_SOCKET=1)
> +			if test -n "$DO_SOCKET"
> +			then
> +				AC_DEFINE([HAVE_SOCKETS], [1],
> +				[Define to 1 to use the
> +				 standard BSD socket API.])
> +			fi
>  		fi
>  	fi
>  fi

An autoconf run is of course needed to propagage these changes to
configure.


> diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' isc-dhcp-4.1.1-P1~/includes/osdep.h isc-dhcp-4.1.1-P1/includes/osdep.h
> --- isc-dhcp-4.1.1-P1~/includes/osdep.h	2011-03-03 01:06:44.000000000 +0000
> +++ isc-dhcp-4.1.1-P1/includes/osdep.h	2011-03-03 01:13:23.000000000 +0000
> @@ -116,6 +118,8 @@
>  #  define USE_SOCKET_RECEIVE
>  #  if defined(HAVE_DLPI)
>  #    define USE_DLPI_HWADDR

We here (in the USE_SOCKETS case) introduce USE_LPF_HWADDR, which means
using just ioctl(SIOCGIFHWADDR) on the socket to get the hardware
address. Otherwise we get an undefined get_hw_addr reference.

> +#  else
> +#    define USE_LPF_HWADDR
>  #  endif
>  #endif

Now the lpf.c patch permits to define get_hw_addr().

> diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' isc-dhcp-4.1.1-P1~/common/lpf.c isc-dhcp-4.1.1-P1/common/lpf.c
> --- isc-dhcp-4.1.1-P1~/common/lpf.c	2011-03-03 01:06:44.000000000 +0000
> +++ isc-dhcp-4.1.1-P1/common/lpf.c	2011-03-03 01:11:08.000000000 +0000
> @@ -28,7 +28,6 @@
>  
>  #include "dhcpd.h"
>  #if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)

sys/ioctl is only used for lpf_receive:

> -#include <sys/ioctl.h>
>  #include <sys/uio.h>
>  #include <errno.h>
>  
> @@ -39,8 +38,14 @@
>  #include "includes/netinet/ip.h"
>  #include "includes/netinet/udp.h"
>  #include "includes/netinet/if_ether.h"
> +#endif

moved here:

> +#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
> +#include <sys/ioctl.h>

net/if.h is also only used for lpf_receive:

>  #include <net/if.h>
> +#endif

Get back to the original inclusion condition for most of the code:

> +#if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)
>  /* Reinitializes the specified interface after an address change.   This
>     is not required for packet-filter APIs. */
>  
> @@ -411,7 +416,9 @@
>  		interface_dereference (&fbi, MDL);
>  	}
>  }
> +#endif

get_hw_addr is actually only needed for lpf_receive, and will now be
used for lpf_hwaddr too:

> +#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
>  void
>  get_hw_addr(const char *name, struct hardware *hw) {
>  	int sock;




Last but not least, GNU/Hurd uses the same headers as Linux, so it needs
the same knobs in bind (already reported as #651001).

This is needed because otherwise bind believes there is no in6_pktinfo
structure, and defines it in its headers, which when included in the
isc-dhcp code (which does define _GNU_SOURCE) then conflicts with the
system-provided definition.

> --- bind/bind-9.8.0-P4/configure.in.orig	2012-01-13 01:59:50.000000000 +0100
> +++ bind/bind-9.8.0-P4/configure.in	2012-01-13 02:00:00.000000000 +0100
> @@ -263,7 +263,7 @@
>  	# as it breaks how the two halves (Basic and Advanced) of the IPv6
>  	# Socket API were designed to be used but we have to live with it.
>  	# Define _GNU_SOURCE to pull in the IPv6 Advanced Socket API.
> -	*-linux*)
> +	*-linux*|*-gnu*)
>  		STD_CDEFINES="$STD_CDEFINES -D_GNU_SOURCE"
>  		CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
>  		;;
> --- bind/bind-9.8.0-P4/configure.orig	2012-01-13 02:00:47.000000000 +0100
> +++ bind/bind-9.8.0-P4/configure	2012-01-13 02:02:44.000000000 +0100
> @@ -19613,7 +19613,7 @@
>  	# as it breaks how the two halves (Basic and Advanced) of the IPv6
>  	# Socket API were designed to be used but we have to live with it.
>  	# Define _GNU_SOURCE to pull in the IPv6 Advanced Socket API.
> -	*-linux*)
> +	*-linux*|*-gnu*)
>  		STD_CDEFINES="$STD_CDEFINES -D_GNU_SOURCE"
>  		CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
>  		;;
[fix_ftbfs4hurd.dpatch (text/plain, attachment)]
[bind.patch (text/plain, attachment)]
[rfc3442-classless-routes.hurd (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Mon, 16 Jan 2012 12:09:36 GMT) Full text and rfc822 format available.

Message #116 received at 616290@bugs.debian.org (full text, mbox):

From: "Cathy Almond via RT" <dhcp-bugs@isc.org>
To: svante.signell@telia.com
Cc: apollock@debian.org, samuel.thibault@gnu.org
Subject: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?
Date: Mon, 16 Jan 2012 10:34:03 +0000
Hi Samuel,

> Oops, sorry, resending with proper subject so that it gets along the
> original bug report. I don't know how I could close the
> spuriously-created bug #27396.
You can't but we can and have :-)

> (dropping Cc debian-devel, it's not worth it)
>
> Here is an updated version of the patch, as well as some information
> about it, I've both attached the patch and commented it below. There
> is
> also an additional patch for the embedded bind code. Eventually, there
> is an empty rfc3442 script for now.

Thanks for the updated patches.

There have been various inquiries made about the patches submitted to ISC DHCP
by the GNU/Hurd project team - and we responded last month to Svante Signell
including the statement here:

---

"I'm afraid that a mistake was made earlier when the response was given that we
planned to incorporate the submitted patch for ticket #24697. This seems to
have been due to an internal misunderstanding. Subsequently we've reviewed the
patch and discussed at length the request to have it included and have to say
that we have no plans to incorporate it in the near future.

We have some technical reservations about the proposed change in relation to
the effect they might have in other OS environments, and additionally we don't
have a test environment in which to verify the stability/supportability of the
resulting build(s) going forward.

We receive a large volume of development work requests, and while we accept
that this one is of importance to the gnu/hurd maintainers, we understand that
the number of users of this OS is relatively small and we have to take this
into account when deciding how to utilise our resources.

So with regret for the disappointment that this answer will cause, our response
has to be that this is not something that we can do now, although of course the
decision can be revisited in the future if circumstances change."

---

So I will of course alert engineering that you've submitted new patches, but
the reality is that we are unlikely to incorporate them into ISC DHCP code in
the very near future.

Kind regards,

Cathy Almond
ISC Support





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Mon, 16 Jan 2012 12:10:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@telia.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 16 Jan 2012 12:13:52 GMT) Full text and rfc822 format available.

Message #121 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@telia.com>
To: Samuel Thibault <samuel.thibault@gnu.org>, apollock@debian.org
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>
Subject: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Mon, 16 Jan 2012 12:05:50 +0100
My comments prefixed with -> below.
Same reply as before, strange behaviour indeed.

-------- Forwarded Message --------
From: Cathy Almond via RT <dhcp-bugs@isc.org>
Reply-to: dhcp-bugs@isc.org
To: svante.signell@telia.com
Cc: apollock@debian.org, samuel.thibault@gnu.org
Subject: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs
#24697 (Debian Bug #616290)?
Date: Mon, 16 Jan 2012 10:34:03 +0000

Hi Samuel,

...
Thanks for the updated patches.

There have been various inquiries made about the patches submitted to ISC DHCP
by the GNU/Hurd project team - and we responded last month to Svante Signell
including the statement here:

---

We have some technical reservations about the proposed change in relation to
the effect they might have in other OS environments, 

-> No feedback at all to the bug submitters, or to the Debian Maintainer.
-> No discussion, nada. 

and additionally we don't
have a test environment in which to verify the stability/supportability of the
resulting build(s) going forward.

-> Referring to to which architectures? 

We receive a large volume of development work requests, and while we accept
that this one is of importance to the gnu/hurd maintainers, we understand that
the number of users of this OS is relatively small and we have to take this
into account when deciding how to utilise our resources.

-> And? What internal resources are allocated, except for patching the software?

So with regret for the disappointment that this answer will cause, our response
has to be that this is not something that we can do now, although of course the
decision can be revisited in the future if circumstances change."

-> Conditions for changed circumstances?

---

So I will of course alert engineering that you've submitted new patches, but
the reality is that we are unlikely to incorporate them into ISC DHCP code in
the very near future.

-> Who are upstream engineering, are they not able to communicate
-> directly, at least with the Debian Maintainer?

Kind regards,

Cathy Almond
ISC Support







Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sat, 21 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 21 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #126 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@gnu.org>
To: Andrew Pollock <apollock@debian.org>
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>, 616290@bugs.debian.org, debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, svante.signell@telia.com
Subject: Re: Bug#616290: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Sat, 21 Jan 2012 23:45:25 +0100
Andrew Pollock, le Wed 11 Jan 2012 22:12:11 -0800, a écrit :
> I'm expecting to have a face-to-face meeting with the ISC DHCP folks next week,
> and the Hurd situation is one of the topics of discussion. If the stakeholders
> from debian-hurd want me to convey anything in particular, then now's the time
> to speak up.

So, did you have the opportunity to discuss with ISC about it?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sat, 21 Jan 2012 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 21 Jan 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #131 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@gnu.org>
To: Andrew Pollock <apollock@debian.org>, Ian Jackson <ijackson@chiark.greenend.org.uk>, 616290@bugs.debian.org, debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, svante.signell@telia.com
Subject: Re: Bug#616290: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Sun, 22 Jan 2012 00:42:06 +0100
Samuel Thibault, le Sat 21 Jan 2012 23:45:24 +0100, a écrit :
> Andrew Pollock, le Wed 11 Jan 2012 22:12:11 -0800, a écrit :
> > I'm expecting to have a face-to-face meeting with the ISC DHCP folks next week,
> > and the Hurd situation is one of the topics of discussion. If the stakeholders
> > from debian-hurd want me to convey anything in particular, then now's the time
> > to speak up.
> 
> So, did you have the opportunity to discuss with ISC about it?

Ah, Pino pointed me at your planet.debian.org post.

I have to say I'm a bit surprised that the patch generates so much
discussion around it, but not about its content.  Did they see my
updated patch with comments?  There are basically three things in it:

- the PATH_MAX fix, which they _can_ check on GNU/Linux, since GNU/Linux
uses glibc.
- the get_hw_addr changes, which does not actually change any code,
but simply uses existing code in a case which would not even compile
otherwise.
- the bind change, which just makes GNU/Hurd use the same thing as
GNU/Linux.

So in the end, the first part is not trivial but can be checked on Linux
(and actually fixes a bug), and the second and third part look trivial
to me, thus the wonder.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 22 Jan 2012 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 22 Jan 2012 00:06:03 GMT) Full text and rfc822 format available.

Message #136 received at 616290@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 616290@bugs.debian.org, debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, svante.signell@telia.com
Subject: Re: Bug#616290: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Sat, 21 Jan 2012 15:57:50 -0800
[Message part 1 (text/plain, inline)]
On Sun, Jan 22, 2012 at 12:42:06AM +0100, Samuel Thibault wrote:
> Samuel Thibault, le Sat 21 Jan 2012 23:45:24 +0100, a écrit :
> > Andrew Pollock, le Wed 11 Jan 2012 22:12:11 -0800, a écrit :
> > > I'm expecting to have a face-to-face meeting with the ISC DHCP folks next week,
> > > and the Hurd situation is one of the topics of discussion. If the stakeholders
> > > from debian-hurd want me to convey anything in particular, then now's the time
> > > to speak up.
> > 
> > So, did you have the opportunity to discuss with ISC about it?
> 
> Ah, Pino pointed me at your planet.debian.org post.
> 
> I have to say I'm a bit surprised that the patch generates so much
> discussion around it, but not about its content.  Did they see my
> updated patch with comments?  There are basically three things in it:

Yes, this is the patch we discussed.

I'm expecting you'll receive something via the ISC, but I'll try to remember
what was said.
 
> - the PATH_MAX fix, which they _can_ check on GNU/Linux, since GNU/Linux
> uses glibc.

One of the concerns with this patch was that it was conditional not on the
Hurd OS, but on glibc being in use. I think they'd rather see this be
explicitly conditional on Hurd. I imagine they're worried about how this
would behave on other non-Linux OSes that don't use glibc but do have
PATH_MAX?

They asked if it were possible to add PATH_MAX compatibility to the Hurd
instead, since it's an OS that is under development.

> - the get_hw_addr changes, which does not actually change any code,
> but simply uses existing code in a case which would not even compile
> otherwise.

I'm not sure if there was specific feedback on this chunk of the patch.

> - the bind change, which just makes GNU/Hurd use the same thing as
> GNU/Linux.

I'm pretty sure the BIND change (if it's the change to configure that I
think it is) has already been accepted (in a slightly different form). I'll
try to check in with them regularly between now and 4.2.3 to make sure that
that fix is going to be in it. Does BIND build okay on Hurd?
 
> So in the end, the first part is not trivial but can be checked on Linux
> (and actually fixes a bug), and the second and third part look trivial
> to me, thus the wonder.

I think we'll get there, eventually. It might just take a while. Have you
tried starting a conversation on the dhcp-users list?
(https://lists.isc.org/mailman/listinfo/dhcp-users)

There's also https://lists.isc.org/mailman/listinfo/dhcp-hackers
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 22 Jan 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@gnu.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 22 Jan 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #141 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@gnu.org>
To: Andrew Pollock <apollock@debian.org>
Cc: Ian Jackson <ijackson@chiark.greenend.org.uk>, 616290@bugs.debian.org, debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, svante.signell@telia.com
Subject: Re: Bug#616290: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Sun, 22 Jan 2012 01:12:15 +0100
Andrew Pollock, le Sat 21 Jan 2012 15:57:50 -0800, a écrit :
> > - the PATH_MAX fix, which they _can_ check on GNU/Linux, since GNU/Linux
> > uses glibc.
> 
> One of the concerns with this patch was that it was conditional not on the
> Hurd OS, but on glibc being in use. I think they'd rather see this be
> explicitly conditional on Hurd.

Well, if they prefer that, then fine.

> I imagine they're worried about how this would behave on other
> non-Linux OSes that don't use glibc but do have PATH_MAX?

You mean they don't like not testing that other codepath with Linux?
Then let's keep the new patch Hurd-only, that's fine.

> They asked if it were possible to add PATH_MAX compatibility to the Hurd
> instead, since it's an OS that is under development.

It has always been a will *not* to define PATH_MAX in GNU/Hurd.

> > - the get_hw_addr changes, which does not actually change any code,
> > but simply uses existing code in a case which would not even compile
> > otherwise.
> 
> I'm not sure if there was specific feedback on this chunk of the patch.

Ok.

> > - the bind change, which just makes GNU/Hurd use the same thing as
> > GNU/Linux.
> 
> I'm pretty sure the BIND change (if it's the change to configure that I
> think it is) has already been accepted (in a slightly different form). I'll
> try to check in with them regularly between now and 4.2.3 to make sure that
> that fix is going to be in it. Does BIND build okay on Hurd?

BIND itself builds ok, yes, simply with ipv6 disabled (see #651001). The
issue is the mixture of bind and dhcpd code, where the bind side does
not enable ipv6, and dhcpd enables it.

> > So in the end, the first part is not trivial but can be checked on Linux
> > (and actually fixes a bug), and the second and third part look trivial
> > to me, thus the wonder.
> 
> I think we'll get there, eventually. It might just take a while.

Well, we'd like to manage to release with wheezy.

> Have you tried starting a conversation on the dhcp-users list?
> (https://lists.isc.org/mailman/listinfo/dhcp-users)
> 
> There's also https://lists.isc.org/mailman/listinfo/dhcp-hackers

We have not tried, but if that's the way we can directly discuss the
patch with them, then we should probably do it. dhcp-hackers seems very
low-volume, I guess dhcp-users might be preferable?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 22 Jan 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 22 Jan 2012 05:57:03 GMT) Full text and rfc822 format available.

Message #146 received at 616290@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 616290@bugs.debian.org, debian-hurd <debian-hurd@lists.debian.org>, Bug hurd mailing list <bug-hurd@gnu.org>, svante.signell@telia.com
Subject: Re: Bug#616290: [Fwd: [ISC-Bugs #25979] What happened to the dhcp patch in ISC-Bugs #24697 (Debian Bug #616290)?]
Date: Sat, 21 Jan 2012 21:53:09 -0800
[Message part 1 (text/plain, inline)]
On Sun, Jan 22, 2012 at 01:12:15AM +0100, Samuel Thibault wrote:
> Andrew Pollock, le Sat 21 Jan 2012 15:57:50 -0800, a écrit :
> > > - the PATH_MAX fix, which they _can_ check on GNU/Linux, since GNU/Linux
> > > uses glibc.
> > 
> > One of the concerns with this patch was that it was conditional not on the
> > Hurd OS, but on glibc being in use. I think they'd rather see this be
> > explicitly conditional on Hurd.
> 
> Well, if they prefer that, then fine.

That's probably a good start.
 
> > I imagine they're worried about how this would behave on other
> > non-Linux OSes that don't use glibc but do have PATH_MAX?
> 
> You mean they don't like not testing that other codepath with Linux?
> Then let's keep the new patch Hurd-only, that's fine.

Okay
 
> > They asked if it were possible to add PATH_MAX compatibility to the Hurd
> > instead, since it's an OS that is under development.
> 
> It has always been a will *not* to define PATH_MAX in GNU/Hurd.

So out of curiosity, how much other software has issues as a result?
 
> > > - the get_hw_addr changes, which does not actually change any code,
> > > but simply uses existing code in a case which would not even compile
> > > otherwise.
> > 
> > I'm not sure if there was specific feedback on this chunk of the patch.
> 
> Ok.
> 
> > > - the bind change, which just makes GNU/Hurd use the same thing as
> > > GNU/Linux.
> > 
> > I'm pretty sure the BIND change (if it's the change to configure that I
> > think it is) has already been accepted (in a slightly different form). I'll
> > try to check in with them regularly between now and 4.2.3 to make sure that
> > that fix is going to be in it. Does BIND build okay on Hurd?
> 
> BIND itself builds ok, yes, simply with ipv6 disabled (see #651001). The
> issue is the mixture of bind and dhcpd code, where the bind side does
> not enable ipv6, and dhcpd enables it.
> 
> > > So in the end, the first part is not trivial but can be checked on Linux
> > > (and actually fixes a bug), and the second and third part look trivial
> > > to me, thus the wonder.
> > 
> > I think we'll get there, eventually. It might just take a while.
> 
> Well, we'd like to manage to release with wheezy.

Okay I'll keep that in mind.
 
> > Have you tried starting a conversation on the dhcp-users list?
> > (https://lists.isc.org/mailman/listinfo/dhcp-users)
> > 
> > There's also https://lists.isc.org/mailman/listinfo/dhcp-hackers
> 
> We have not tried, but if that's the way we can directly discuss the
> patch with them, then we should probably do it. dhcp-hackers seems very
> low-volume, I guess dhcp-users might be preferable?

Try -hackers first and if you don't get a response after a week or so, try
-users. Or just cross-post and be done with it.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sat, 28 Jan 2012 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 28 Jan 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #151 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: dhcp-hackers@lists.isc.org, dhcp-users@lists.isc.org
Cc: 616290@bugs.debian.org, debian-hurd@lists.debian.org
Subject: [PATCH] Hurd fixes
Date: Sun, 29 Jan 2012 00:11:17 +0100
[Message part 1 (text/plain, inline)]
Hello,

Here is a couple of fixes for GNU/Hurd build of ISC dhcp, for
discussion.

The first part replaces the use of the (optional) PATH_MAX macro with
the use of a GNU extension of realpath(): when its argument is NULL, it
just allocates what is needed.  This is made conditional on GNU/Hurd
(__GNU__ is defined on GNU/Hurd only), so it won't have effect on other
OSes, even GNU/Linux.

The second part adds support for being fine with just using only the
standard BSD socket API (GNU/Hurd has neither linux/filter.h, nor
sys/dlpi.h, nor net/bpf.h, but that's not actually mandatory for basic
dhcp support). Otherwise, undefined references to send_packet etc. would
be emitted. It is enabled automatically when BSD sockets are available.
It does not actually change any code, but simply enables inclusion of
the socket-based get_hw_addr function.

Samuel
[fix_ftbfs4hurd.dpatch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 12 Feb 2012 23:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 12 Feb 2012 23:42:06 GMT) Full text and rfc822 format available.

Message #156 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: dhcp-hackers@lists.isc.org, dhcp-users@lists.isc.org
Cc: 616290@bugs.debian.org
Subject: [PATCH] Hurd fixes
Date: Mon, 13 Feb 2012 00:39:15 +0100
[Message part 1 (text/plain, inline)]
Hello,

Here is a couple of fixes for GNU/Hurd build of ISC dhcp, for
discussion.

The first part replaces the use of the (optional) PATH_MAX macro with
the use of a GNU extension of realpath(): when its argument is NULL, it
just allocates what is needed.  This is made conditional on GNU/Hurd
(__GNU__ is defined on GNU/Hurd only), so it won't have effect on other
OSes, even GNU/Linux.

The second part adds support for being fine with just using only the
standard BSD socket API (GNU/Hurd has neither linux/filter.h, nor
sys/dlpi.h, nor net/bpf.h, but that's not actually mandatory for basic
dhcp support). Otherwise, undefined references to send_packet etc. would
be emitted. It is enabled automatically when BSD sockets are available.
It does not actually change any code, but simply enables inclusion of
the socket-based get_hw_addr function.

Samuel
[fix_ftbfs4hurd.dpatch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 11 May 2012 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 11 May 2012 00:30:03 GMT) Full text and rfc822 format available.

Message #161 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Tomasz Mrugalski via RT <dhcp-bugs@isc.org>
Cc: svante.signell@telia.com, apollock@debian.org, 616290@bugs.debian.org
Subject: Re: [ISC-Bugs #24697] Hurd dhcp patch (Debian Bug #616290)?
Date: Fri, 11 May 2012 02:27:50 +0200
Hello,

Tomasz Mrugalski via RT, le Tue 28 Feb 2012 15:57:14 +0000, a écrit :
> None of those issues are very serious. We have solved those problems and doing
> internal review. i must honestly admit that due to other, higher priority tasks
> this review may take a while.

Any news on this?  We really need to get some patch integrated in
Debian, either the one we proposed, as an interim, or something from
upstream, or something else?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 11 May 2012 00:36:03 GMT) Full text and rfc822 format available.

Message #164 received at 616290@bugs.debian.org (full text, mbox):

From: "Samuel Thibault via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: [ISC-Bugs #24697] Hurd dhcp patch (Debian Bug #616290)?
Date: Fri, 11 May 2012 00:28:11 +0000
Hello,

Tomasz Mrugalski via RT, le Tue 28 Feb 2012 15:57:14 +0000, a écrit :
> None of those issues are very serious. We have solved those problems and doing
> internal review. i must honestly admit that due to other, higher priority tasks
> this review may take a while.

Any news on this?  We really need to get some patch integrated in
Debian, either the one we proposed, as an interim, or something from
upstream, or something else?

Samuel






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 11 May 2012 17:18:05 GMT) Full text and rfc822 format available.

Message #168 received at 616290@bugs.debian.org (full text, mbox):

From: "Tomasz Mrugalski via RT" <dhcp-bugs@isc.org>
Cc: svante.signell@telia.com, sthibault@debian.org, 616290@bugs.debian.org
Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Fri, 11 May 2012 17:14:32 +0000
[Message part 1 (text/plain, inline)]
On Fri May 11 02:28:09 2012, sthibault@debian.org wrote:
> Any news on this? We really need to get some patch integrated in
> Debian, either the one we proposed, as an interim, or something from
> upstream, or something else?
I'm sorry, but due to resource limitations, we were unable to include fix for
realpath and use-sockets in upcoming 4.2.4. However, we were able to update the
patch to a version that is almost ready for merge.

Please find our internal patch attached. That is *not* an official ISC patch.
It did not go through our normal testing process. Feel free to use it, though.

Tomek Mrugalski
ISC DHCP Engineer

[use-sockets-realpath.patch (text/x-patch, inline)]
? hurd.patch
Index: RELNOTES
===================================================================
RCS file: /proj/cvs/prod/DHCP/RELNOTES,v
retrieving revision 1.462
retrieving revision 1.462.4.2
diff -u -r1.462 -r1.462.4.2
--- RELNOTES	16 Feb 2012 22:07:04 -0000	1.462
+++ RELNOTES	28 Feb 2012 15:44:01 -0000	1.462.4.2
@@ -49,6 +49,14 @@
   to perform an fsync() operation on the lease database before reply,
   which improves performance. [ISC-Bugs #22228]
 
+*** mergeme
+- A problem with missing get_hw_addr function when --enable-use-sockets
+  was used is now solved on GNU/Linux, BSD and GNU/Hurd systems. Note
+  that use-sockets feature was not tested on those systems. Client and
+  server code no longer use MAX_PATH constant that is not defined on
+  GNU/Hurd systems. [ISC-Bugs 25979]
+*** mergeme
+
 			Changes since 4.2.3
 
 ! Add a check for a null pointer before calling the regexec function.
Index: client/dhclient.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/client/dhclient.c,v
retrieving revision 1.185
retrieving revision 1.185.4.1
diff -u -r1.185 -r1.185.4.1
--- client/dhclient.c	3 Feb 2012 22:47:42 -0000	1.185
+++ client/dhclient.c	28 Feb 2012 15:44:01 -0000	1.185.4.1
@@ -374,21 +374,17 @@
 	 * to be reopened after chdir() has been called
 	 */
 	if (path_dhclient_db[0] != '/') {
-		char *path = dmalloc(PATH_MAX, MDL);
-		if (path == NULL)
-			log_fatal("No memory for filename\n");
-		path_dhclient_db = realpath(path_dhclient_db, path);
+		const char *old_path = path_dhclient_db;
+		path_dhclient_db = realpath(path_dhclient_db, NULL);
 		if (path_dhclient_db == NULL)
-			log_fatal("%s: %s", path, strerror(errno));
+			log_fatal("Failed to get realpath for %s: %s", old_path, strerror(errno));
 	}
 
 	if (path_dhclient_script[0] != '/') {
-		char *path = dmalloc(PATH_MAX, MDL);
-		if (path == NULL)
-			log_fatal("No memory for filename\n");
-		path_dhclient_script = realpath(path_dhclient_script, path);
+		const char *old_path = path_dhclient_script;
+		path_dhclient_script = realpath(path_dhclient_script, NULL);
 		if (path_dhclient_script == NULL)
-			log_fatal("%s: %s", path, strerror(errno));
+			log_fatal("Failed to get realpath for %s: %s", old_path, strerror(errno));
 	}
 
 	/*
Index: common/bpf.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/common/bpf.c,v
retrieving revision 1.62
retrieving revision 1.62.202.1
diff -u -r1.62 -r1.62.202.1
--- common/bpf.c	24 Nov 2009 02:06:56 -0000	1.62
+++ common/bpf.c	28 Feb 2012 15:15:18 -0000	1.62.202.1
@@ -550,7 +550,9 @@
 		interface_dereference (&fbi, MDL);
 	}
 }
+#endif
 
+#if defined(USE_BPF_RECEIVE) || defined(USE_BPF_HWADDR)
 void
 get_hw_addr(const char *name, struct hardware *hw) {
 	struct ifaddrs *ifa;
Index: common/lpf.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/common/lpf.c,v
retrieving revision 1.41
retrieving revision 1.41.64.1
diff -u -r1.41 -r1.41.64.1
--- common/lpf.c	10 May 2011 14:27:56 -0000	1.41
+++ common/lpf.c	28 Feb 2012 15:15:18 -0000	1.41.64.1
@@ -28,7 +28,6 @@
 
 #include "dhcpd.h"
 #if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)
-#include <sys/ioctl.h>
 #include <sys/uio.h>
 #include <errno.h>
 
@@ -40,8 +39,14 @@
 #include "includes/netinet/ip.h"
 #include "includes/netinet/udp.h"
 #include "includes/netinet/if_ether.h"
+#endif
+
+#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
+#include <sys/ioctl.h>
 #include <net/if.h>
+#endif
 
+#if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)
 /* Reinitializes the specified interface after an address change.   This
    is not required for packet-filter APIs. */
 
@@ -417,7 +422,9 @@
 		interface_dereference (&fbi, MDL);
 	}
 }
+#endif
 
+#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
 void
 get_hw_addr(const char *name, struct hardware *hw) {
 	int sock;
Index: includes/osdep.h
===================================================================
RCS file: /proj/cvs/prod/DHCP/includes/osdep.h,v
retrieving revision 1.44
retrieving revision 1.44.122.1
diff -u -r1.44 -r1.44.122.1
--- includes/osdep.h	9 Sep 2010 22:18:02 -0000	1.44
+++ includes/osdep.h	28 Feb 2012 15:15:16 -0000	1.44.122.1
@@ -108,6 +108,10 @@
 #  define USE_SOCKET_RECEIVE
 #  if defined(HAVE_DLPI)
 #    define USE_DLPI_HWADDR
+#  elif defined(HAVE_LPF)
+#    define USE_LPF_HWADDR
+#  elif defined(HAVE_BPF)
+#    define USE_BPF_HWADDR
 #  endif
 #endif
 
Index: server/dhcpd.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/server/dhcpd.c,v
retrieving revision 1.158
retrieving revision 1.158.76.1
diff -u -r1.158 -r1.158.76.1
--- server/dhcpd.c	21 Apr 2011 13:24:24 -0000	1.158
+++ server/dhcpd.c	28 Feb 2012 15:44:01 -0000	1.158.76.1
@@ -464,12 +464,11 @@
          * to be reopened after chdir() has been called
          */
         if (path_dhcpd_db[0] != '/') {
-                char *path = dmalloc(PATH_MAX, MDL);
-                if (path == NULL)
-                        log_fatal("No memory for filename\n");
-                path_dhcpd_db = realpath(path_dhcpd_db,  path);
+				const char *path = path_dhcpd_db;
+                path_dhcpd_db = realpath(path_dhcpd_db, NULL);
                 if (path_dhcpd_db == NULL)
-                        log_fatal("%s: %s", path, strerror(errno));
+                        log_fatal("Failed to get realpath for %s: %s", path, 
+                                   strerror(errno));
         }
 
 	if (!quiet) {

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 11 May 2012 17:18:06 GMT) Full text and rfc822 format available.

Message #171 received at 616290@bugs.debian.org (full text, mbox):

From: "Tomasz Mrugalski via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Fri, 11 May 2012 17:14:32 +0000
[Message part 1 (text/plain, inline)]
On Fri May 11 02:28:09 2012, sthibault@debian.org wrote:
> Any news on this? We really need to get some patch integrated in
> Debian, either the one we proposed, as an interim, or something from
> upstream, or something else?
I'm sorry, but due to resource limitations, we were unable to include fix for
realpath and use-sockets in upcoming 4.2.4. However, we were able to update the
patch to a version that is almost ready for merge.

Please find our internal patch attached. That is *not* an official ISC patch.
It did not go through our normal testing process. Feel free to use it, though.

Tomek Mrugalski
ISC DHCP Engineer

[use-sockets-realpath.patch (text/x-patch, inline)]
? hurd.patch
Index: RELNOTES
===================================================================
RCS file: /proj/cvs/prod/DHCP/RELNOTES,v
retrieving revision 1.462
retrieving revision 1.462.4.2
diff -u -r1.462 -r1.462.4.2
--- RELNOTES	16 Feb 2012 22:07:04 -0000	1.462
+++ RELNOTES	28 Feb 2012 15:44:01 -0000	1.462.4.2
@@ -49,6 +49,14 @@
   to perform an fsync() operation on the lease database before reply,
   which improves performance. [ISC-Bugs #22228]
 
+*** mergeme
+- A problem with missing get_hw_addr function when --enable-use-sockets
+  was used is now solved on GNU/Linux, BSD and GNU/Hurd systems. Note
+  that use-sockets feature was not tested on those systems. Client and
+  server code no longer use MAX_PATH constant that is not defined on
+  GNU/Hurd systems. [ISC-Bugs 25979]
+*** mergeme
+
 			Changes since 4.2.3
 
 ! Add a check for a null pointer before calling the regexec function.
Index: client/dhclient.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/client/dhclient.c,v
retrieving revision 1.185
retrieving revision 1.185.4.1
diff -u -r1.185 -r1.185.4.1
--- client/dhclient.c	3 Feb 2012 22:47:42 -0000	1.185
+++ client/dhclient.c	28 Feb 2012 15:44:01 -0000	1.185.4.1
@@ -374,21 +374,17 @@
 	 * to be reopened after chdir() has been called
 	 */
 	if (path_dhclient_db[0] != '/') {
-		char *path = dmalloc(PATH_MAX, MDL);
-		if (path == NULL)
-			log_fatal("No memory for filename\n");
-		path_dhclient_db = realpath(path_dhclient_db, path);
+		const char *old_path = path_dhclient_db;
+		path_dhclient_db = realpath(path_dhclient_db, NULL);
 		if (path_dhclient_db == NULL)
-			log_fatal("%s: %s", path, strerror(errno));
+			log_fatal("Failed to get realpath for %s: %s", old_path, strerror(errno));
 	}
 
 	if (path_dhclient_script[0] != '/') {
-		char *path = dmalloc(PATH_MAX, MDL);
-		if (path == NULL)
-			log_fatal("No memory for filename\n");
-		path_dhclient_script = realpath(path_dhclient_script, path);
+		const char *old_path = path_dhclient_script;
+		path_dhclient_script = realpath(path_dhclient_script, NULL);
 		if (path_dhclient_script == NULL)
-			log_fatal("%s: %s", path, strerror(errno));
+			log_fatal("Failed to get realpath for %s: %s", old_path, strerror(errno));
 	}
 
 	/*
Index: common/bpf.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/common/bpf.c,v
retrieving revision 1.62
retrieving revision 1.62.202.1
diff -u -r1.62 -r1.62.202.1
--- common/bpf.c	24 Nov 2009 02:06:56 -0000	1.62
+++ common/bpf.c	28 Feb 2012 15:15:18 -0000	1.62.202.1
@@ -550,7 +550,9 @@
 		interface_dereference (&fbi, MDL);
 	}
 }
+#endif
 
+#if defined(USE_BPF_RECEIVE) || defined(USE_BPF_HWADDR)
 void
 get_hw_addr(const char *name, struct hardware *hw) {
 	struct ifaddrs *ifa;
Index: common/lpf.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/common/lpf.c,v
retrieving revision 1.41
retrieving revision 1.41.64.1
diff -u -r1.41 -r1.41.64.1
--- common/lpf.c	10 May 2011 14:27:56 -0000	1.41
+++ common/lpf.c	28 Feb 2012 15:15:18 -0000	1.41.64.1
@@ -28,7 +28,6 @@
 
 #include "dhcpd.h"
 #if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)
-#include <sys/ioctl.h>
 #include <sys/uio.h>
 #include <errno.h>
 
@@ -40,8 +39,14 @@
 #include "includes/netinet/ip.h"
 #include "includes/netinet/udp.h"
 #include "includes/netinet/if_ether.h"
+#endif
+
+#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
+#include <sys/ioctl.h>
 #include <net/if.h>
+#endif
 
+#if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)
 /* Reinitializes the specified interface after an address change.   This
    is not required for packet-filter APIs. */
 
@@ -417,7 +422,9 @@
 		interface_dereference (&fbi, MDL);
 	}
 }
+#endif
 
+#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
 void
 get_hw_addr(const char *name, struct hardware *hw) {
 	int sock;
Index: includes/osdep.h
===================================================================
RCS file: /proj/cvs/prod/DHCP/includes/osdep.h,v
retrieving revision 1.44
retrieving revision 1.44.122.1
diff -u -r1.44 -r1.44.122.1
--- includes/osdep.h	9 Sep 2010 22:18:02 -0000	1.44
+++ includes/osdep.h	28 Feb 2012 15:15:16 -0000	1.44.122.1
@@ -108,6 +108,10 @@
 #  define USE_SOCKET_RECEIVE
 #  if defined(HAVE_DLPI)
 #    define USE_DLPI_HWADDR
+#  elif defined(HAVE_LPF)
+#    define USE_LPF_HWADDR
+#  elif defined(HAVE_BPF)
+#    define USE_BPF_HWADDR
 #  endif
 #endif
 
Index: server/dhcpd.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/server/dhcpd.c,v
retrieving revision 1.158
retrieving revision 1.158.76.1
diff -u -r1.158 -r1.158.76.1
--- server/dhcpd.c	21 Apr 2011 13:24:24 -0000	1.158
+++ server/dhcpd.c	28 Feb 2012 15:44:01 -0000	1.158.76.1
@@ -464,12 +464,11 @@
          * to be reopened after chdir() has been called
          */
         if (path_dhcpd_db[0] != '/') {
-                char *path = dmalloc(PATH_MAX, MDL);
-                if (path == NULL)
-                        log_fatal("No memory for filename\n");
-                path_dhcpd_db = realpath(path_dhcpd_db,  path);
+				const char *path = path_dhcpd_db;
+                path_dhcpd_db = realpath(path_dhcpd_db, NULL);
                 if (path_dhcpd_db == NULL)
-                        log_fatal("%s: %s", path, strerror(errno));
+                        log_fatal("Failed to get realpath for %s: %s", path, 
+                                   strerror(errno));
         }
 
 	if (!quiet) {

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sat, 12 May 2012 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 12 May 2012 00:24:03 GMT) Full text and rfc822 format available.

Message #177 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Tomasz Mrugalski via RT <dhcp-bugs@isc.org>, 616290@bugs.debian.org
Cc: svante.signell@telia.com
Subject: Re: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Sat, 12 May 2012 02:20:53 +0200
[Message part 1 (text/plain, inline)]
Tomasz Mrugalski via RT, le Fri 11 May 2012 17:14:32 +0000, a écrit :
> On Fri May 11 02:28:09 2012, sthibault@debian.org wrote:
> > Any news on this? We really need to get some patch integrated in
> > Debian, either the one we proposed, as an interim, or something from
> > upstream, or something else?
> I'm sorry, but due to resource limitations, we were unable to include fix for
> realpath and use-sockets in upcoming 4.2.4. However, we were able to update the
> patch to a version that is almost ready for merge.

Cool!  That's what we really need actually.

> Please find our internal patch attached. That is *not* an official ISC patch.
> It did not go through our normal testing process. Feel free to use it, though.

Ok.  There is however just one remaining glitch: GNU/Hurd has neither
linux/filter.h nor net/bpf.h, so neither HAVE_LPF nor HAVE_BPF are
defined, but GNU/Hurd does have the SIOCGIFHWADDR ioctl.  I don't know
how you prefer how to handle that.  In the attached conservative patch,
we simply enable USE_LPF_HWADDR when __GNU__ is defined (i.e. GNU/Hurd).
Perhaps you'd prefer to replace that with an autoconf test for
SIOCGIFHWADDR.

I however hope that the attached thus-fixed use-sockets-realpath.patch
is OK for Debian, so we can at last get isc-dhcp to build.

For the record, the other patches that are needed for the Debian
package:

- patch-config enables the use of the socket API on GNU/Hurd, as
  explained by upstream in an earlier review mail.
- patch-bind has to be applied to the unpacked bind package (from bug
  #651001, now applied in the bind9 package).  I don't know how you'd
  prefer to achive that patching.
- dhclient-script.hurd, dhclient-script.hurd.udeb,
  rfc3442-classless-routes.hurd are to be put in debian/ to provide
  hurdish scripts.

You be they applied to the Debian package?

Thanks!
Samuel
[use-sockets-realpath.patch (text/plain, attachment)]
[patch-bind (text/plain, attachment)]
[patch-config (text/plain, attachment)]
[dhclient-script.hurd (text/plain, attachment)]
[dhclient-script.hurd.udeb (text/plain, attachment)]
[rfc3442-classless-routes.hurd (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sat, 12 May 2012 00:24:04 GMT) Full text and rfc822 format available.

Message #180 received at 616290@bugs.debian.org (full text, mbox):

From: "Samuel Thibault via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Sat, 12 May 2012 00:21:20 +0000
[Message part 1 (text/plain, inline)]
Tomasz Mrugalski via RT, le Fri 11 May 2012 17:14:32 +0000, a écrit :
> On Fri May 11 02:28:09 2012, sthibault@debian.org wrote:
> > Any news on this? We really need to get some patch integrated in
> > Debian, either the one we proposed, as an interim, or something from
> > upstream, or something else?
> I'm sorry, but due to resource limitations, we were unable to include fix for
> realpath and use-sockets in upcoming 4.2.4. However, we were able to update the
> patch to a version that is almost ready for merge.

Cool!  That's what we really need actually.

> Please find our internal patch attached. That is *not* an official ISC patch.
> It did not go through our normal testing process. Feel free to use it, though.

Ok.  There is however just one remaining glitch: GNU/Hurd has neither
linux/filter.h nor net/bpf.h, so neither HAVE_LPF nor HAVE_BPF are
defined, but GNU/Hurd does have the SIOCGIFHWADDR ioctl.  I don't know
how you prefer how to handle that.  In the attached conservative patch,
we simply enable USE_LPF_HWADDR when __GNU__ is defined (i.e. GNU/Hurd).
Perhaps you'd prefer to replace that with an autoconf test for
SIOCGIFHWADDR.

I however hope that the attached thus-fixed use-sockets-realpath.patch
is OK for Debian, so we can at last get isc-dhcp to build.

For the record, the other patches that are needed for the Debian
package:

- patch-config enables the use of the socket API on GNU/Hurd, as
  explained by upstream in an earlier review mail.
- patch-bind has to be applied to the unpacked bind package (from bug
  #651001, now applied in the bind9 package).  I don't know how you'd
  prefer to achive that patching.
- dhclient-script.hurd, dhclient-script.hurd.udeb,
  rfc3442-classless-routes.hurd are to be put in debian/ to provide
  hurdish scripts.

You be they applied to the Debian package?

Thanks!
Samuel

[use-sockets-realpath.patch (text/plain, inline)]
Index: client/dhclient.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/client/dhclient.c,v
retrieving revision 1.185
retrieving revision 1.185.4.1
diff -u -r1.185 -r1.185.4.1
--- a/client/dhclient.c	3 Feb 2012 22:47:42 -0000	1.185
+++ b/client/dhclient.c	28 Feb 2012 15:44:01 -0000	1.185.4.1
@@ -374,21 +374,17 @@
 	 * to be reopened after chdir() has been called
 	 */
 	if (path_dhclient_db[0] != '/') {
-		char *path = dmalloc(PATH_MAX, MDL);
-		if (path == NULL)
-			log_fatal("No memory for filename\n");
-		path_dhclient_db = realpath(path_dhclient_db, path);
+		const char *old_path = path_dhclient_db;
+		path_dhclient_db = realpath(path_dhclient_db, NULL);
 		if (path_dhclient_db == NULL)
-			log_fatal("%s: %s", path, strerror(errno));
+			log_fatal("Failed to get realpath for %s: %s", old_path, strerror(errno));
 	}
 
 	if (path_dhclient_script[0] != '/') {
-		char *path = dmalloc(PATH_MAX, MDL);
-		if (path == NULL)
-			log_fatal("No memory for filename\n");
-		path_dhclient_script = realpath(path_dhclient_script, path);
+		const char *old_path = path_dhclient_script;
+		path_dhclient_script = realpath(path_dhclient_script, NULL);
 		if (path_dhclient_script == NULL)
-			log_fatal("%s: %s", path, strerror(errno));
+			log_fatal("Failed to get realpath for %s: %s", old_path, strerror(errno));
 	}
 
 	/*
Index: common/bpf.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/common/bpf.c,v
retrieving revision 1.62
retrieving revision 1.62.202.1
diff -u -r1.62 -r1.62.202.1
--- a/common/bpf.c	24 Nov 2009 02:06:56 -0000	1.62
+++ b/common/bpf.c	28 Feb 2012 15:15:18 -0000	1.62.202.1
@@ -550,7 +550,9 @@
 		interface_dereference (&fbi, MDL);
 	}
 }
+#endif
 
+#if defined(USE_BPF_RECEIVE) || defined(USE_BPF_HWADDR)
 void
 get_hw_addr(const char *name, struct hardware *hw) {
 	struct ifaddrs *ifa;
Index: common/lpf.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/common/lpf.c,v
retrieving revision 1.41
retrieving revision 1.41.64.1
diff -u -r1.41 -r1.41.64.1
--- a/common/lpf.c	10 May 2011 14:27:56 -0000	1.41
+++ b/common/lpf.c	28 Feb 2012 15:15:18 -0000	1.41.64.1
@@ -28,7 +28,6 @@
 
 #include "dhcpd.h"
 #if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)
-#include <sys/ioctl.h>
 #include <sys/uio.h>
 #include <errno.h>
 
@@ -40,8 +39,14 @@
 #include "includes/netinet/ip.h"
 #include "includes/netinet/udp.h"
 #include "includes/netinet/if_ether.h"
+#endif
+
+#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
+#include <sys/ioctl.h>
 #include <net/if.h>
+#endif
 
+#if defined (USE_LPF_SEND) || defined (USE_LPF_RECEIVE)
 /* Reinitializes the specified interface after an address change.   This
    is not required for packet-filter APIs. */
 
@@ -417,7 +422,9 @@
 		interface_dereference (&fbi, MDL);
 	}
 }
+#endif
 
+#if defined (USE_LPF_RECEIVE) || defined (USE_LPF_HWADDR)
 void
 get_hw_addr(const char *name, struct hardware *hw) {
 	int sock;
Index: includes/osdep.h
===================================================================
RCS file: /proj/cvs/prod/DHCP/includes/osdep.h,v
retrieving revision 1.44
retrieving revision 1.44.122.1
diff -u -r1.44 -r1.44.122.1
--- a/includes/osdep.h	9 Sep 2010 22:18:02 -0000	1.44
+++ b/includes/osdep.h	28 Feb 2012 15:15:16 -0000	1.44.122.1
@@ -108,6 +108,10 @@
 #  define USE_SOCKET_RECEIVE
 #  if defined(HAVE_DLPI)
 #    define USE_DLPI_HWADDR
+#  elif defined(HAVE_LPF) || defined (__GNU__)
+#    define USE_LPF_HWADDR
+#  elif defined(HAVE_BPF)
+#    define USE_BPF_HWADDR
 #  endif
 #endif
 
Index: server/dhcpd.c
===================================================================
RCS file: /proj/cvs/prod/DHCP/server/dhcpd.c,v
retrieving revision 1.158
retrieving revision 1.158.76.1
diff -u -r1.158 -r1.158.76.1
--- a/server/dhcpd.c	21 Apr 2011 13:24:24 -0000	1.158
+++ b/server/dhcpd.c	28 Feb 2012 15:44:01 -0000	1.158.76.1
@@ -464,12 +464,11 @@
          * to be reopened after chdir() has been called
          */
         if (path_dhcpd_db[0] != '/') {
-                char *path = dmalloc(PATH_MAX, MDL);
-                if (path == NULL)
-                        log_fatal("No memory for filename\n");
-                path_dhcpd_db = realpath(path_dhcpd_db,  path);
+				const char *path = path_dhcpd_db;
+                path_dhcpd_db = realpath(path_dhcpd_db, NULL);
                 if (path_dhcpd_db == NULL)
-                        log_fatal("%s: %s", path, strerror(errno));
+                        log_fatal("Failed to get realpath for %s: %s", path, 
+                                   strerror(errno));
         }
 
 	if (!quiet) {
[patch-bind (text/plain, inline)]
--- configure.in.orig	2011-12-04 23:21:32.000000000 +0100
+++ configure.in	2011-12-04 23:21:35.000000000 +0100
@@ -263,7 +263,7 @@
 	# as it breaks how the two halves (Basic and Advanced) of the IPv6
 	# Socket API were designed to be used but we have to live with it.
 	# Define _GNU_SOURCE to pull in the IPv6 Advanced Socket API.
-	*-linux* | *-kfreebsd*-gnu)
+	*-linux* | *-kfreebsd*-gnu | *-gnu*)
 		STD_CDEFINES="$STD_CDEFINES -D_GNU_SOURCE"
 		CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 		;;
--- configure.orig	2011-12-04 23:25:28.000000000 +0100
+++ configure	2011-12-04 23:25:32.000000000 +0100
@@ -11807,7 +11807,7 @@
 	# as it breaks how the two halves (Basic and Advanced) of the IPv6
 	# Socket API were designed to be used but we have to live with it.
 	# Define _GNU_SOURCE to pull in the IPv6 Advanced Socket API.
-	*-linux* | *-kfreebsd*-gnu)
+	*-linux* | *-kfreebsd*-gnu | *-gnu*)
 		STD_CDEFINES="$STD_CDEFINES -D_GNU_SOURCE"
 		CPPFLAGS="$CPPFLAGS -D_GNU_SOURCE"
 		;;
--- ./lib/isc/unix/net.c.orig	2011-12-04 23:44:51.000000000 +0100
+++ ./lib/isc/unix/net.c	2011-12-04 23:44:59.000000000 +0100
@@ -130,6 +130,9 @@
 #ifdef EAFNOSUPPORT
 		case EAFNOSUPPORT:
 #endif
+#ifdef EPFNOSUPPORT
+		case EPFNOSUPPORT:
+#endif
 #ifdef EPROTONOSUPPORT
 		case EPROTONOSUPPORT:
 #endif
[patch-config (text/plain, inline)]
--- debian/rules.orig	2012-05-12 01:15:07.000000000 +0000
+++ debian/rules	2012-05-12 01:15:49.000000000 +0000
@@ -35,12 +35,19 @@
 CFLAGS += -D_PATH_DHCLIENT_CONF='"/etc/dhcp/dhclient.conf"'
 CFLAGS += -DNOMINUM
 
+ifeq ($(DEB_HOST_ARCH_OS), hurd)
+CONFIG=--enable-use-sockets
+else
+CONFIG=
+endif
+
 build-ldap-stamp:
 	dh_testdir
 
 	./configure \
 		--prefix=$(DESTDIR)/usr \
 		--sysconfdir=$(DESTDIR)/etc/dhcp \
+		$(CONFIG) \
 		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
 		--with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
 		--with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
@@ -69,6 +76,7 @@
 	./configure \
 		--prefix=$(DESTDIR)/usr \
 		--sysconfdir=$(DESTDIR)/etc/dhcp \
+		$(CONFIG) \
 		--with-srv-lease-file=/var/lib/dhcp/dhcpd.leases \
 		--with-srv6-lease-file=/var/lib/dhcp/dhcpd6.leases \
 		--with-cli-lease-file=/var/lib/dhcp/dhclient.leases \
[dhclient-script.hurd (text/plain, inline)]
#!/bin/bash

# dhclient-script for GNU, based on the script for Linux.
# Dan Halbert, March, 1997.
# Updated for Linux 2.[12] by Brian J. Murrell, January 1999.
# Modified for Debian.  Matt Zimmerman and Eloy Paris, December 2003
# Modified to remove useless tests for antiquated kernel versions that
# this doesn't even work with anyway, and introduces a dependency on /usr
# being mounted, which causes cosmetic errors on hosts that NFS mount /usr
# Andrew Pollock, February 2005
# Modified to work on point-to-point links. Andrew Pollock, June 2005
# Modified to support passing the parameters called with to the hooks. Andrew Pollock, November 2005
# Modified to work under GNU/Hurd for isc-dhcp-4.1.1 based on the
# patch by Samuel Thibault for dhcp3. Svante Signell, February 2011.

# The alias handling in here probably still sucks. -mdz

# update /etc/resolv.conf based on received values
make_resolv_conf() {
    local new_resolv_conf

    # DHCPv4
    if [ -n "$new_domain_search" ] || [ -n "$new_domain_name" ] ||
       [ -n "$new_domain_name_servers" ]; then
        new_resolv_conf=/etc/resolv.conf.dhclient-new
        rm -f $new_resolv_conf

        if [ -n "$new_domain_name" ]; then
            echo domain ${new_domain_name%% *} >>$new_resolv_conf
        fi

        if [ -n "$new_domain_search" ]; then
            if [ -n "$new_domain_name" ]; then
                domain_in_search_list=""
                for domain in $new_domain_search; do
                    if [ "$domain" = "${new_domain_name}" ] ||
                       [ "$domain" = "${new_domain_name}." ]; then
                        domain_in_search_list="Yes"
                    fi
                done
                if [ -z "$domain_in_search_list" ]; then
                            new_domain_search="$new_domain_name $new_domain_search"
                fi
            fi
            echo "search ${new_domain_search}" >> $new_resolv_conf
        elif [ -n "$new_domain_name" ]; then
                echo "search ${new_domain_name}" >> $new_resolv_conf
        fi

        if [ -n "$new_domain_name_servers" ]; then
                   for nameserver in $new_domain_name_servers; do
                       echo nameserver $nameserver >>$new_resolv_conf
            done
        else # keep 'old' nameservers
            sed -n /^\w*[Nn][Aa][Mm][Ee][Ss][Ee][Rr][Vv][Ee][Rr]/p /etc/resolv.conf >>$new_resolv_conf
        fi

        chown --reference=/etc/resolv.conf $new_resolv_conf
        chmod --reference=/etc/resolv.conf $new_resolv_conf
        mv -f $new_resolv_conf /etc/resolv.conf
    # DHCPv6
    elif [ -n "$new_dhcp6_domain_search" ] || [ -n "$new_dhcp6_name_servers" ]; then
        new_resolv_conf=/etc/resolv.conf.dhclient-new
        rm -f $new_resolv_conf

        if [ -n "$new_dhcp6_domain_search" ]; then
            echo "search ${new_dhcp6_domain_search}" >> $new_resolv_conf
        fi

        if [ -n "$new_dhcp6_name_servers" ]; then
            for nameserver in $new_dhcp6_name_servers; do
                echo nameserver $nameserver >>$new_resolv_conf
            done
        else # keep 'old' nameservers
            sed -n /^\w*[Nn][Aa][Mm][Ee][Ss][Ee][Rr][Vv][Ee][Rr]/p /etc/resolv.conf >>$new_resolv_conf
        fi

        chown --reference=/etc/resolv.conf $new_resolv_conf
        chmod --reference=/etc/resolv.conf $new_resolv_conf
        mv -f $new_resolv_conf /etc/resolv.conf
    fi
}

# run given script
run_hook() {
    local script
    local exit_status
    script="$1"
    shift        # discard the first argument, then the rest are the script's

    if [ -f $script ]; then
        . $script "$@"
    fi

    if [ -n "$exit_status" ] && [ "$exit_status" -ne 0 ]; then
        logger -p daemon.err "$script returned non-zero exit status $exit_status"
    fi

    return $exit_status
}

# run scripts in given directory
run_hookdir() {
    local dir
    local exit_status
    dir="$1"
    shift        # See run_hook

    if [ -d "$dir" ]; then
        for script in $(run-parts --list $dir); do
            run_hook $script "$@" || true
            exit_status=$?
        done
    fi

    return $exit_status
}

# Must be used on exit.   Invokes the local dhcp client exit hooks, if any.
exit_with_hooks() {
    exit_status=$1

    # Source the documented exit-hook script, if it exists
    if ! run_hook /etc/dhcp/dhclient-exit-hooks "$@"; then
        exit_status=$?
    fi

    # Now run scripts in the Debian-specific directory.
    if ! run_hookdir /etc/dhcp/dhclient-exit-hooks.d "$@"; then
        exit_status=$?
    fi

    exit $exit_status
}


# set up some variables for DHCPv4 handlers below
if [ -n "$new_broadcast_address" ]; then
    new_broadcast_arg="--broadcast $new_broadcast_address"
fi
if [ -n "$old_broadcast_address" ]; then
    old_broadcast_arg="--broadcast $old_broadcast_address"
fi
if [ -n "$new_subnet_mask" ]; then
    new_subnet_arg="--netmask $new_subnet_mask"
fi
if [ -n "$alias_subnet_mask" ]; then
    alias_subnet_arg="--netmask $alias_subnet_mask"
fi
# The 576 MTU is only used for X.25 and dialup connections
# where the admin wants low latency.  Such a low MTU can cause
# problems with UDP traffic, among other things.  As such,
# disallow MTUs from 576 and below by default, so that broken
# MTUs are ignored, but higher stuff is allowed (1492, 1500, etc).
if [ -z "$new_interface_mtu" ] || [ "$new_interface_mtu" -lt 576 ]; then
    new_interface_mtu=''
fi
if [ -n "$IF_METRIC" ]; then
    metric_arg="--metric $IF_METRIC"        # interfaces(5), "metric" option
fi


# The action starts here

# Invoke the local dhcp client enter hooks, if they exist.
run_hook /etc/dhcp/dhclient-enter-hooks
run_hookdir /etc/dhcp/dhclient-enter-hooks.d

# Execute the operation
case "$reason" in

    ### DHCPv4 Handlers

    MEDIUM|ARPCHECK|ARPSEND)
        # Do nothing
        ;;
    PREINIT)
        # The DHCP client is requesting that an interface be
        # configured as required in order to send packets prior to
        # receiving an actual address. - dhclient-script(8)

        # ensure interface is up
        # TODO: handle multiple interface case.
        settrans -afg /servers/socket/2 /hurd/pfinet -i ${interface}

        if [ -n "$alias_ip_address" ]; then
            # flush alias IP from interface
            # TODO
            :
            # ip -4 addr flush dev ${interface} label ${interface}:0
        fi

        ;;

    BOUND|RENEW|REBIND|REBOOT)
        if [ -n "$old_host_name" ] && [ -n "$new_host_name" ] &&
           [ "$old_host_name" != "$new_host_name" ]; then
            # hostname changed => set it
            hostname "$new_host_name"
        fi

        if [ -n "$old_ip_address" ] && [ -n "$alias_ip_address" ] &&
           [ "$alias_ip_address" != "$old_ip_address" ]; then
            # alias IP may have changed => flush it
	    # TODO
            :
            # ip -4 addr flush dev ${interface} label ${interface}:0
        fi

        if [ -n "$old_ip_address" ] &&
           [ "$old_ip_address" != "$new_ip_address" ]; then
            # leased IP has changed => flush it
            inetutils-ifconfig -i ${interface} -A 0.0.0.0
        fi

        if [ -z "$old_ip_address" ] ||
           [ "$old_ip_address" != "$new_ip_address" ] ||
           [ "$reason" = "BOUND" ] || [ "$reason" = "REBOOT" ]; then
            # new IP has been leased or leased IP changed => set it
            inetutils-ifconfig -i ${interface} -A ${new_ip_address} \
	        ${new_subnet_arg} ${new_broadcast_arg}

            if [ -n "$new_interface_mtu" ]; then
                # set MTU
                inetutils-ifconfig -i ${interface} --mtu ${new_interface_mtu}
            fi

            for router in $new_routers; do
                if [ "$new_subnet_mask" = "255.255.255.255" ]; then
                    # point-to-point connection => set explicit route
                    # TODO
		    :
                    #ip -4 route add ${router} dev $interface >/dev/null 2>&1
                fi

                # set default route
                fsysopts /servers/socket/2 $(fsysopts /servers/socket/2) -g ${router}
            done
        fi

        if [ -n "$alias_ip_address" ] &&
           [ "$new_ip_address" != "$alias_ip_address" ]; then
            # separate alias IP given, which may have changed
            # => flush it, set it & add host route to it
	    # TODO
	    :
            #ip -4 addr flush dev ${interface} label ${interface}:0
            #ip -4 addr add ${alias_ip_address}${alias_mask} \
            #    dev ${interface} label ${interface}:0
            #ip -4 route add ${alias_ip_address} dev ${interface} >/dev/null 2>&1
        fi

        # update /etc/resolv.conf
        make_resolv_conf

        ;;

    EXPIRE|FAIL|RELEASE|STOP)
        if [ -n "$alias_ip_address" ]; then
            # flush alias IP
            # TODO
            :
            #ip -4 addr flush dev ${interface} label ${interface}:0
        fi

        if [ -n "$old_ip_address" ]; then
            # flush leased IP
            inetutils-ifconfig -i ${interface} -A 0.0.0.0
        fi

        if [ -n "$alias_ip_address" ]; then
            # alias IP given => set it & add host route to it
            # TODO
            :
            #ip -4 addr add ${alias_ip_address}${alias_network_arg} \
            #    dev ${interface} label ${interface}:0
            #ip -4 route add ${alias_ip_address} dev ${interface} >/dev/null 2>&1
        fi

        ;;

    TIMEOUT)
        if [ -n "$alias_ip_address" ]; then
            # flush alias IP
            # TODO
            :
            #ip -4 addr flush dev ${interface} label ${interface}:0
        fi

        # set IP from recorded lease
        inetutils-ifconfig -i ${interface} -A ${new_ip_address} \
	    ${new_subnet_arg} ${new_broadcast_arg}

        if [ -n "$new_interface_mtu" ]; then
            # set MTU
            inetutils-ifconfig -i ${interface} --mtu ${new_interface_mtu}
        fi

        # if there is no router recorded in the lease or the 1st router answers pings
        if [ -z "$new_routers" ] || ping -q -c 1 "${new_routers%% *}"; then
            if [ -n "$alias_ip_address" ] &&
               [ "$new_ip_address" != "$alias_ip_address" ]; then
                # separate alias IP given => set up the alias IP & add host route to it
		# TODO
                :
                #ip -4 addr add ${alias_ip_address}${alias_mask} \
                #    dev ${interface} label ${interface}:0
                #ip -4 route add ${alias_ip_address} dev ${interface} >/dev/null 2>&1
            fi

            # set default route
            for router in $new_routers; do
                fsysopts /servers/socket/2 $(fsysopts /servers/socket/2) -g ${router}
            done

            # update /etc/resolv.conf
            make_resolv_conf
        else
            # flush all IPs from interface
            inetutils-ifconfig -i ${interface} -A 0.0.0.0
            exit_with_hooks 2 "$@"
        fi

        ;;
esac

exit_with_hooks 0
[dhclient-script.hurd.udeb (text/plain, inline)]
#!/bin/sh

set -e

# reduced dhclient-script for the Debian installer
# changes by Joshua Kwan <joshk@triplehelix.org>,
# Bastian Blank <waldi@debian.org>

# dhclient-script for Linux. Dan Halbert, March, 1997.
# Updated for Linux 2.[12] by Brian J. Murrell, January 1999.
# Modified for Debian.  Matt Zimmerman and Eloy Paris, December 2003
# Adapted the GNU/Linux script to GNU/Hurd, Svante Signell and Samuel Thibault,
# February 2011.

# update /etc/resolv.conf based on received values
make_resolv_conf() {
    local new_resolv_conf

    if [ -n "$new_domain_name" ] || [ -n "$new_domain_name_servers" ]; then
        new_resolv_conf=/etc/resolv.conf.dhclient-new
        rm -f $new_resolv_conf

        if [ -n "$new_domain_name" ]; then
            echo "search $new_domain_name" >>$new_resolv_conf
        fi

        for nameserver in $new_domain_name_servers; do
            echo "nameserver $nameserver" >>$new_resolv_conf
        done

        mv $new_resolv_conf /etc/resolv.conf
    fi
}

set_hostname() {
    local current_hostname
    current_hostname=$(hostname)

    if [ -z "$current_hostname" ] || [ "$current_hostname" = "(none)" ]; then
        hostname "$new_host_name"
    fi
}

# set up some variables for DHCP handlers below
if [ -n "$new_subnet_mask" ]; then
    new_subnet_arg="-m $new_subnet_mask"
fi

# Execute the operation
case "$reason" in
    MEDIUM|ARPCHECK|ARPSEND)
        # Do nothing
        ;;
    PREINIT)
        settrans -afg /servers/socket/2 /hurd/pfinet -i $interface

        # We need to give the kernel some time to get the interface up.
        sleep 1

        ;;

    BOUND|RENEW|REBIND|REBOOT)
        set_hostname
	pfinet_args="-i $interface"
        
        if [ -n "$old_ip_address" ] &&
             [ "$old_ip_address" != "$new_ip_address" ]; then
            # IP address changed. Bringing down the interface will delete all routes,
            # and clear the ARP cache.
            fsysopts /servers/socket/2 $pfinet_args
        fi

	# TODO: add MTU option to pfinet
	#if [ -n "$new_interface_mtu" ]; then
	#    pfinet_args="$pfinet_args --mtu $new_interface_mtu"
	#    fsysopts /servers/socket/2 $pfinet_args
	#fi

        if [ -z "$old_ip_address" ] ||
           [ "$old_ip_address" != "$new_ip_address" ] ||
            [ "$reason" = "BOUND" ] || [ "$reason" = "REBOOT" ]; then

	    pfinet_args="$pfinet_args -a $new_ip_address $new_subnet_arg"

            for router in $new_routers; do
               pfinet_args="$pfinet_args -g $router"
            done
	    fsysopts /servers/socket/2 $pfinet_args
        fi

        make_resolv_conf

        # Get the domain name into a file suitable for netcfg to read.
        printf "$new_domain_name" > /tmp/domain_name

        if [ -n "$new_ntp_servers" ]; then
            printf "$new_ntp_servers" > /tmp/dhcp-ntp-servers
        fi

        ;;

    EXPIRE|FAIL|RELEASE|STOP)
        if [ -n "$old_ip_address" ]; then
            # Shut down interface, which will delete routes and clear arp cache.
	    fsysopts /servers/socket/2 -i $interface
        fi

        ;;

    TIMEOUT)
	fsysopts /servers/socket/2 -i $interface

        ;;
esac

exit 0
[rfc3442-classless-routes.hurd (text/plain, inline)]
:

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Mon, 21 May 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 21 May 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #186 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 616290@bugs.debian.org
Subject: Re: Bug#616290: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Mon, 21 May 2012 03:39:51 +0200
[Message part 1 (text/plain, inline)]
Hello,

Just a reminder. I have reattached the patches to this mail.

Samuel Thibault via RT, le Sat 12 May 2012 00:21:20 +0000, a écrit :
> I however hope that the attached thus-fixed use-sockets-realpath.patch
> is OK for Debian, so we can at last get isc-dhcp to build.
> 
> For the record, the other patches that are needed for the Debian
> package:
> 
> - patch-config enables the use of the socket API on GNU/Hurd, as
>   explained by upstream in an earlier review mail.
> - patch-bind has to be applied to the unpacked bind package (from bug
>   #651001, now applied in the bind9 package).  I don't know how you'd
>   prefer to achive that patching.
> - dhclient-script.hurd, dhclient-script.hurd.udeb,

I have updated these two, to avoid an issue in the installer.

>   rfc3442-classless-routes.hurd are to be put in debian/ to provide
>   hurdish scripts.
> 
> You be they applied to the Debian package?

Samuel
[use-sockets-realpath.patch (text/plain, attachment)]
[patch-bind (text/plain, attachment)]
[patch-config (text/plain, attachment)]
[dhclient-script.hurd (text/plain, attachment)]
[dhclient-script.hurd.udeb (text/plain, attachment)]
[rfc3442-classless-routes.hurd (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 08 Jun 2012 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 08 Jun 2012 01:00:03 GMT) Full text and rfc822 format available.

Message #191 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 616290@bugs.debian.org
Subject: Re: Bug#616290: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Fri, 8 Jun 2012 02:56:30 +0200
Hello,

Samuel Thibault, le Mon 21 May 2012 03:39:51 +0200, a écrit :
> Just a reminder. I have reattached the patches to this mail.

Are there any news about this?  Do you think you will have time to
handle it before the freeze?  I can make an NMU if that can help.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 08 Jun 2012 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 08 Jun 2012 03:15:03 GMT) Full text and rfc822 format available.

Message #196 received at 616290@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 616290@bugs.debian.org
Subject: Re: [pkg-dhcp-devel] Bug#616290: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Thu, 7 Jun 2012 20:00:21 -0700
[Message part 1 (text/plain, inline)]
On Fri, Jun 08, 2012 at 02:56:30AM +0200, Samuel Thibault wrote:
> Hello,
> 
> Samuel Thibault, le Mon 21 May 2012 03:39:51 +0200, a écrit :
> > Just a reminder. I have reattached the patches to this mail.
> 
> Are there any news about this?  Do you think you will have time to
> handle it before the freeze?  I can make an NMU if that can help.

My position on patches like this hasn't changed. I want to see this get
merged upstream, rather than carry it indefinitely as a Debian-specific
patch. 

The minute I merge this patch in the Debian package the pressure is off
upstream to ever do anything with it. I realise this is going to suck for
you guys in the short term, but it's the right thing to do long term.

You expressly do not have my permission to NMU this.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 08 Jun 2012 23:45:03 GMT) Full text and rfc822 format available.

Message #199 received at 616290@bugs.debian.org (full text, mbox):

From: "Shawn Routhier via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Fri, 8 Jun 2012 23:41:00 +0000
With the resolution of 25979 I think this one is
also resolved (again changes will be in the
next feature release).

If 25979 didn't resolve the issues you can
either re-open this one or open a new ticket.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 08 Jun 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Fri, 08 Jun 2012 23:48:03 GMT) Full text and rfc822 format available.

Message #205 received at 616290@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Shawn Routhier via RT <dhcp-bugs@isc.org>
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Fri, 8 Jun 2012 16:43:57 -0700
[Message part 1 (text/plain, inline)]
On Fri, Jun 08, 2012 at 11:41:00PM +0000, Shawn Routhier via RT wrote:
> With the resolution of 25979 I think this one is
> also resolved (again changes will be in the
> next feature release).
> 
> If 25979 didn't resolve the issues you can
> either re-open this one or open a new ticket.
> 

Thanks! So by "next feature release" you mean this won't go into 4.2.5,
it'll go into 4.3 or whatever it's going to be called?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 08 Jun 2012 23:48:04 GMT) Full text and rfc822 format available.

Message #208 received at 616290@bugs.debian.org (full text, mbox):

From: "Andrew Pollock via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Fri, 8 Jun 2012 23:44:22 +0000
[Message part 1 (text/plain, inline)]
On Fri, Jun 08, 2012 at 11:41:00PM +0000, Shawn Routhier via RT wrote:
> With the resolution of 25979 I think this one is
> also resolved (again changes will be in the
> next feature release).
> 
> If 25979 didn't resolve the issues you can
> either re-open this one or open a new ticket.
> 

Thanks! So by "next feature release" you mean this won't go into 4.2.5,
it'll go into 4.3 or whatever it's going to be called?

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Fri, 08 Jun 2012 23:51:03 GMT) Full text and rfc822 format available.

Message #212 received at 616290@bugs.debian.org (full text, mbox):

From: "Shawn Routhier via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Fri, 8 Jun 2012 23:47:30 +0000
On Fri Jun 08 23:44:21 2012, apollock@debian.org wrote:
> On Fri, Jun 08, 2012 at 11:41:00PM +0000, Shawn Routhier via RT wrote:
> > With the resolution of 25979 I think this one is
> > also resolved (again changes will be in the
> > next feature release).
> >
> > If 25979 didn't resolve the issues you can
> > either re-open this one or open a new ticket.
> >
>
> Thanks! So by "next feature release" you mean this won't go into 4.2.5,
> it'll go into 4.3 or whatever it's going to be called?

That is my current plan but I'm checking internal to determine
if we think it should go into a 4.2 or 4.1-ESV.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 10 Jun 2012 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 10 Jun 2012 17:33:06 GMT) Full text and rfc822 format available.

Message #219 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: dhcp-bugs@isc.org, 616290@bugs.debian.org
Cc: apollock@debian.org, 616290-forwarded@bugs.debian.org, svante.signell@telia.com
Subject: Re: Bug#616290: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Sun, 10 Jun 2012 19:29:55 +0200
Shawn Routhier via RT, le Fri 08 Jun 2012 23:41:00 +0000, a écrit :
> With the resolution of 25979 I think this one is
> also resolved

It should be, yes.

> If 25979 didn't resolve the issues you can
> either re-open this one or open a new ticket.

Is there a public repository for isc dhcp so we can try it?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 10 Jun 2012 17:33:07 GMT) Full text and rfc822 format available.

Message #222 received at 616290@bugs.debian.org (full text, mbox):

From: "Samuel Thibault via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: Bug#616290: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Sun, 10 Jun 2012 17:30:16 +0000
Shawn Routhier via RT, le Fri 08 Jun 2012 23:41:00 +0000, a écrit :
> With the resolution of 25979 I think this one is
> also resolved

It should be, yes.

> If 25979 didn't resolve the issues you can
> either re-open this one or open a new ticket.

Is there a public repository for isc dhcp so we can try it?

Samuel






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 12 Jun 2012 23:33:03 GMT) Full text and rfc822 format available.

Message #227 received at 616290@bugs.debian.org (full text, mbox):

From: "Shawn Routhier via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Tue, 12 Jun 2012 23:29:02 +0000
On Sun Jun 10 17:30:15 2012, sthibault@debian.org wrote:
> Shawn Routhier via RT, le Fri 08 Jun 2012 23:41:00 +0000, a écrit :
>
> > If 25979 didn't resolve the issues you can
> > either re-open this one or open a new ticket.
>
> Is there a public repository for isc dhcp so we can try it?
Not really. I can send you a copy of the final patch though.

>
> Samuel
>





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Wed, 13 Jun 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pollock <apollock@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Wed, 13 Jun 2012 00:03:04 GMT) Full text and rfc822 format available.

Message #233 received at 616290@bugs.debian.org (full text, mbox):

From: Andrew Pollock <apollock@debian.org>
To: Shawn Routhier via RT <dhcp-bugs@isc.org>
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Tue, 12 Jun 2012 17:01:53 -0700
On Tue, Jun 12, 2012 at 11:29:02PM +0000, Shawn Routhier via RT wrote:
> On Sun Jun 10 17:30:15 2012, sthibault@debian.org wrote:
> > Shawn Routhier via RT, le Fri 08 Jun 2012 23:41:00 +0000, a écrit :
> >
> > > If 25979 didn't resolve the issues you can
> > > either re-open this one or open a new ticket.
> >
> > Is there a public repository for isc dhcp so we can try it?
> Not really. I can send you a copy of the final patch though.

Please do, I'll consider applying it to our 4.2.4 package in Debian if
there's a commitment upstream to apply it in the next feature release.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Wed, 13 Jun 2012 00:03:05 GMT) Full text and rfc822 format available.

Message #236 received at 616290@bugs.debian.org (full text, mbox):

From: "Andrew Pollock via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Wed, 13 Jun 2012 00:02:15 +0000
On Tue, Jun 12, 2012 at 11:29:02PM +0000, Shawn Routhier via RT wrote:
> On Sun Jun 10 17:30:15 2012, sthibault@debian.org wrote:
> > Shawn Routhier via RT, le Fri 08 Jun 2012 23:41:00 +0000, a écrit :
> >
> > > If 25979 didn't resolve the issues you can
> > > either re-open this one or open a new ticket.
> >
> > Is there a public repository for isc dhcp so we can try it?
> Not really. I can send you a copy of the final patch though.

Please do, I'll consider applying it to our 4.2.4 package in Debian if
there's a commitment upstream to apply it in the next feature release.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Mon, 03 Dec 2012 22:21:06 GMT) Full text and rfc822 format available.

Message #241 received at 616290@bugs.debian.org (full text, mbox):

From: "Shawn Routhier via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: [ISC-Bugs #24697] Patches solving build failure for GNU/Hurd
Date: Mon, 3 Dec 2012 22:09:36 +0000
[Message part 1 (text/plain, inline)]
I had written up this comment some time ago but
put it into rt as a comment instead of a reply. With
this I'm resolving the ticket, if we need to do more
you can re-open it or open a new ticket.

Here's the patch. It is in HEAD and will therefore go into
the next feature (4.3.0a1 probably) but we currently don't
plan to put it into 4.2.5 or 4.1-ESV-R6. We are still working
on the roadmap for 4.3.0 so I'm not sure when we will
release it.

Shawn

[rt25979.rdiff (application/octet-stream, inline)]

Changed Bug submitter to 'svante.signell@gmail.com' from 'Svante Signell <svante.signell@telia.com>' Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Sat, 11 May 2013 21:45:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sat, 22 Feb 2014 22:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sat, 22 Feb 2014 22:18:09 GMT) Full text and rfc822 format available.

Message #249 received at 616290@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 616290@bugs.debian.org, svante.signell@gmail.com, Samuel Thibault <sthibault@debian.org>, dhcp-bugs@isc.org
Subject: Re: Patches solving FTBFS of isc-dhcp for GNU/Hurd [ISC-Bugs #24697]
Date: Sat, 22 Feb 2014 23:15:16 +0100
[Shawn Routhier 2012-12-03] 
> Here's the patch. It is in HEAD and will therefore go into the next
> feature (4.3.0a1 probably) but we currently don't plan to put it
> into 4.2.5 or 4.1-ESV-R6. We are still working on the roadmap for
> 4.3.0 so I'm not sure when we will release it.

The 4.3.0a1-2 version is now in experimental, and it fail to build on
Hurd, according to
<URL: https://buildd.debian.org/status/package.php?p=isc-dhcp&suite=experimental >
with this error message:

   ../bind/include/isc/net.h:184:8: error: redefinition of 'struct in6_pktinfo'

So I guess there is still some porting needed to get ics-dhcp building
on Hurd.

The isc-dhcp package is as far as I can tell the last package needed
to get Hurd using only packagees in Debian Sid to boot and get an IP
address using DHCP.  I base it on this list of packages my test
machine have installed from the porters repository and not from sid:

root@hurdtest:~#  aptitude search '?narrow(?version(CURRENT),?origin(Debian Ports))'
i   emacs               - GNU Emacs editor (metapackage)
i   gdb                 - GNU Debugger
i   hurd-recommended    - Miscellaneous translators
i   isc-dhcp-client     - ISC DHCP client
i   isc-dhcp-common     - common files used by all the isc-dhcp* packages
i   x86info             - Display diagnostic information about i386 compatible 
root@hurdtest:~#

The packages emacs, gdb, hurd-recommended and x86info other packages
are not required to get a working system in a dhcp network like
mine. :)

-- 
Happy hacking
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sat, 22 Feb 2014 22:39:05 GMT) Full text and rfc822 format available.

Message #252 received at 616290@bugs.debian.org (full text, mbox):

From: "Petter Reinholdtsen via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: Patches solving FTBFS of isc-dhcp for GNU/Hurd [ISC-Bugs #24697]
Date: Sat, 22 Feb 2014 22:15:31 +0000
[Shawn Routhier 2012-12-03] 
> Here's the patch. It is in HEAD and will therefore go into the next
> feature (4.3.0a1 probably) but we currently don't plan to put it
> into 4.2.5 or 4.1-ESV-R6. We are still working on the roadmap for
> 4.3.0 so I'm not sure when we will release it.

The 4.3.0a1-2 version is now in experimental, and it fail to build on
Hurd, according to
<URL: https://buildd.debian.org/status/package.php?p=isc-dhcp&suite=experimental >
with this error message:

   ../bind/include/isc/net.h:184:8: error: redefinition of 'struct in6_pktinfo'

So I guess there is still some porting needed to get ics-dhcp building
on Hurd.

The isc-dhcp package is as far as I can tell the last package needed
to get Hurd using only packagees in Debian Sid to boot and get an IP
address using DHCP.  I base it on this list of packages my test
machine have installed from the porters repository and not from sid:

root@hurdtest:~#  aptitude search '?narrow(?version(CURRENT),?origin(Debian Ports))'
i   emacs               - GNU Emacs editor (metapackage)
i   gdb                 - GNU Debugger
i   hurd-recommended    - Miscellaneous translators
i   isc-dhcp-client     - ISC DHCP client
i   isc-dhcp-common     - common files used by all the isc-dhcp* packages
i   x86info             - Display diagnostic information about i386 compatible 
root@hurdtest:~#

The packages emacs, gdb, hurd-recommended and x86info other packages
are not required to get a working system in a dhcp network like
mine. :)

-- 
Happy hacking
Petter Reinholdtsen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 23 Feb 2014 02:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Sun, 23 Feb 2014 02:39:05 GMT) Full text and rfc822 format available.

Message #258 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 616290@bugs.debian.org, svante.signell@gmail.com, dhcp-bugs@isc.org
Subject: Re: Patches solving FTBFS of isc-dhcp for GNU/Hurd [ISC-Bugs #24697]
Date: Sat, 22 Feb 2014 18:35:26 -0800
Petter Reinholdtsen, le Sat 22 Feb 2014 23:15:16 +0100, a écrit :
> [Shawn Routhier 2012-12-03] 
> > Here's the patch. It is in HEAD and will therefore go into the next
> > feature (4.3.0a1 probably) but we currently don't plan to put it
> > into 4.2.5 or 4.1-ESV-R6. We are still working on the roadmap for
> > 4.3.0 so I'm not sure when we will release it.
> 
> The 4.3.0a1-2 version is now in experimental, and it fail to build on
> Hurd, according to
> <URL: https://buildd.debian.org/status/package.php?p=isc-dhcp&suite=experimental >
> with this error message:
> 
>    ../bind/include/isc/net.h:184:8: error: redefinition of 'struct in6_pktinfo'
> 
> So I guess there is still some porting needed to get ics-dhcp building
> on Hurd.

See the comment and patches I sent on Mon, 21 May 2012 03:39:51 +0200:
an upstream bind patch is needed to fix the build.  And of course the
two dhclient scripts, and the rfc3442 script.

IIRC unfortunately this is now not all: the new upstream version brought
some new occurrence of PATH_MAX.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Sun, 23 Feb 2014 03:06:04 GMT) Full text and rfc822 format available.

Message #261 received at 616290@bugs.debian.org (full text, mbox):

From: "Samuel Thibault via RT" <dhcp-bugs@isc.org>
To: apollock@debian.org
Cc: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org, svante.signell@telia.com
Subject: Re: Patches solving FTBFS of isc-dhcp for GNU/Hurd [ISC-Bugs #24697]
Date: Sun, 23 Feb 2014 02:35:51 +0000
Petter Reinholdtsen, le Sat 22 Feb 2014 23:15:16 +0100, a écrit :
> [Shawn Routhier 2012-12-03] 
> > Here's the patch. It is in HEAD and will therefore go into the next
> > feature (4.3.0a1 probably) but we currently don't plan to put it
> > into 4.2.5 or 4.1-ESV-R6. We are still working on the roadmap for
> > 4.3.0 so I'm not sure when we will release it.
> 
> The 4.3.0a1-2 version is now in experimental, and it fail to build on
> Hurd, according to
> <URL: https://buildd.debian.org/status/package.php?p=isc-dhcp&suite=experimental >
> with this error message:
> 
>    ../bind/include/isc/net.h:184:8: error: redefinition of 'struct in6_pktinfo'
> 
> So I guess there is still some porting needed to get ics-dhcp building
> on Hurd.

See the comment and patches I sent on Mon, 21 May 2012 03:39:51 +0200:
an upstream bind patch is needed to fix the build.  And of course the
two dhclient scripts, and the rfc3442 script.

IIRC unfortunately this is now not all: the new upstream version brought
some new occurrence of PATH_MAX.

Samuel





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 25 Mar 2014 13:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Mar 2014 13:54:10 GMT) Full text and rfc822 format available.

Message #267 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@gmail.com>
To: 616290-forwarded@bugs.debian.org, 616290@bugs.debian.org
Cc: Debian Control Server <control@bugs.debian.org>, Samuel Thibault <sthibault@debian.org>
Subject: isc-dhcp: Updated patches for GNU/Hurd
Date: Tue, 25 Mar 2014 14:52:11 +0100
[Message part 1 (text/plain, inline)]
notforwarded 616290
found 616290 4.3.0a1-2
tags 616290 + experimental
tags 616290 - upstream
thanks

Hi,

Attached are updated patches to enable a successful build of isc-dhcp
from experimental on GNU/Hurd. The first two, patch-bind and
patch-osdep, are upstream material, while the remaining four are
debian-specific.

Hoping for a final closing of this long-lasting bug report.

Thanks!

[patch-bind (text/x-patch, attachment)]
[patch-osdep (text/x-patch, attachment)]
[patch-config (text/x-patch, attachment)]
[rfc3442-classless-routes.hurd (text/plain, attachment)]
[dhclient-script.hurd.udeb (application/x-shellscript, attachment)]
[dhclient-script.hurd (application/x-shellscript, attachment)]

Unset Bug forwarded-to-address Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Tue, 25 Mar 2014 13:54:13 GMT) Full text and rfc822 format available.

Marked as found in versions 4.3.0a1-2. Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Tue, 25 Mar 2014 13:54:14 GMT) Full text and rfc822 format available.

Added tag(s) experimental. Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Tue, 25 Mar 2014 13:54:14 GMT) Full text and rfc822 format available.

Removed tag(s) upstream. Request was from Svante Signell <svante.signell@gmail.com> to control@bugs.debian.org. (Tue, 25 Mar 2014 13:54:15 GMT) Full text and rfc822 format available.

Reply sent to svante.signell@gmail.com:
You have marked Bug as forwarded. (Tue, 25 Mar 2014 13:54:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 25 Mar 2014 20:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Mar 2014 20:24:10 GMT) Full text and rfc822 format available.

Message #283 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: svante.signell@gmail.com, 616290@bugs.debian.org
Subject: Re: Bug#616290: isc-dhcp: Updated patches for GNU/Hurd
Date: Tue, 25 Mar 2014 21:21:33 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 + patch

Hello,

Svante Signell, le Tue 25 Mar 2014 14:52:11 +0100, a écrit :
> Attached are updated patches to enable a successful build of isc-dhcp
> from experimental on GNU/Hurd. The first two, patch-bind and
> patch-osdep, are upstream material, while the remaining four are
> debian-specific.

Don't forget some details about how patches are to be applied, otherwise
you run the risk of seeing the maintainer miss some bits.

- There is a bug in debian/rules for applying bind patches, see attached
file "patch".
- patch-bind (from upstream bind) can then be put into
debian/bind-patches/ (use the version attached to this mail, it provides
the required generated configure bits)
- debian/bind-patches/series can then be created with patch-bind in it.
- patch-config should be applied to make the debian package select
proper isc-dhcp backends on the Hurd. Use the version attached to this
mail, it does so by just passing information to configure instead of
patching upstream.
- dhclient-script.hurd, dhclient-script.hurd.udeb and
rfc3442-classless-routes.hurd should be put to debian/

I have pushed all that in a commit, which you can pull from the
experimental branch of
ssh://alioth.debian.org/srv/home/users/sthibault/isc-dhcp.git

I plan to NMU these changes to experimental.

Samuel
[patch (text/plain, attachment)]
[patch-bind (text/plain, attachment)]
[patch-config (text/plain, attachment)]
[dhclient-script.hurd (text/plain, attachment)]
[dhclient-script.hurd.udeb (text/plain, attachment)]
[rfc3442-classless-routes.hurd (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 25 Mar 2014 20:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Mar 2014 20:48:13 GMT) Full text and rfc822 format available.

Message #288 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@gmail.com>
To: Samuel Thibault <sthibault@debian.org>
Cc: 616290@bugs.debian.org
Subject: Re: Bug#616290: isc-dhcp: Updated patches for GNU/Hurd
Date: Tue, 25 Mar 2014 21:36:45 +0100
On Tue, 2014-03-25 at 21:21 +0100, Samuel Thibault wrote:

> I have pushed all that in a commit, which you can pull from the
> experimental branch of
> ssh://alioth.debian.org/srv/home/users/sthibault/isc-dhcp.git
> 
> I plan to NMU these changes to experimental.

Samuel, what happened to patch-osdep?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 25 Mar 2014 20:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Mar 2014 20:48:17 GMT) Full text and rfc822 format available.

Message #293 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Svante Signell <svante.signell@gmail.com>
Cc: 616290@bugs.debian.org
Subject: Re: Bug#616290: isc-dhcp: Updated patches for GNU/Hurd
Date: Tue, 25 Mar 2014 21:39:00 +0100
Svante Signell, le Tue 25 Mar 2014 21:36:45 +0100, a écrit :
> On Tue, 2014-03-25 at 21:21 +0100, Samuel Thibault wrote:
> 
> > I have pushed all that in a commit, which you can pull from the
> > experimental branch of
> > ssh://alioth.debian.org/srv/home/users/sthibault/isc-dhcp.git
> > 
> > I plan to NMU these changes to experimental.
> 
> Samuel, what happened to patch-osdep?

It is replaced by just setting export DO_LPF=1 from rules.

Samuel



Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Tue, 25 Mar 2014 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to svante.signell@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Tue, 25 Mar 2014 20:51:05 GMT) Full text and rfc822 format available.

Message #298 received at 616290@bugs.debian.org (full text, mbox):

From: Svante Signell <svante.signell@gmail.com>
To: Samuel Thibault <sthibault@debian.org>
Cc: 616290@bugs.debian.org
Subject: Re: Bug#616290: isc-dhcp: Updated patches for GNU/Hurd
Date: Tue, 25 Mar 2014 21:49:47 +0100
On Tue, 2014-03-25 at 21:39 +0100, Samuel Thibault wrote:
> Svante Signell, le Tue 25 Mar 2014 21:36:45 +0100, a écrit :
> > On Tue, 2014-03-25 at 21:21 +0100, Samuel Thibault wrote:
> > 
> > > I have pushed all that in a commit, which you can pull from the
> > > experimental branch of
> > > ssh://alioth.debian.org/srv/home/users/sthibault/isc-dhcp.git
> > > 
> > > I plan to NMU these changes to experimental.
> > 
> > Samuel, what happened to patch-osdep?
> 
> It is replaced by just setting export DO_LPF=1 from rules.

So you wanted to avoid upstream involvement to keep things debian only,
wise :-) Especially when considering the maintainer's note about
NMU-ing.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Mon, 07 Apr 2014 09:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 07 Apr 2014 09:09:05 GMT) Full text and rfc822 format available.

Message #303 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: svante.signell@gmail.com, 616290@bugs.debian.org
Subject: Re: Bug#616290: isc-dhcp: Updated patches for GNU/Hurd
Date: Mon, 7 Apr 2014 11:07:05 +0200
Hello,

Samuel Thibault, le Tue 25 Mar 2014 21:21:33 +0100, a écrit :
> Control: tags -1 + patch
> 
> I have pushed all that in a commit, which you can pull from the
> experimental branch of
> ssh://alioth.debian.org/srv/home/users/sthibault/isc-dhcp.git
> 
> I plan to NMU these changes to experimental.

I have uploaded them to DELAYED/5.

Samuel



Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Mon, 07 Apr 2014 09:21:09 GMT) Full text and rfc822 format available.

Notification sent to svante.signell@gmail.com:
Bug acknowledged by developer. (Mon, 07 Apr 2014 09:21:09 GMT) Full text and rfc822 format available.

Message #308 received at 616290-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 616290-close@bugs.debian.org
Subject: Bug#616290: fixed in isc-dhcp 4.3.0a1-2.1
Date: Mon, 07 Apr 2014 09:19:16 +0000
Source: isc-dhcp
Source-Version: 4.3.0a1-2.1

We believe that the bug you reported is fixed in the latest version of
isc-dhcp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616290@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated isc-dhcp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 06 Apr 2014 22:14:44 +0200
Source: isc-dhcp
Binary: isc-dhcp-server isc-dhcp-server-dbg isc-dhcp-dbg isc-dhcp-server-ldap isc-dhcp-common isc-dhcp-dev isc-dhcp-client isc-dhcp-client-dbg isc-dhcp-client-udeb isc-dhcp-relay isc-dhcp-relay-dbg
Architecture: source amd64
Version: 4.3.0a1-2.1
Distribution: experimental
Urgency: medium
Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 isc-dhcp-client - ISC DHCP client
 isc-dhcp-client-dbg - ISC DHCP server for automatic IP address assignment (client debug
 isc-dhcp-client-udeb - ISC DHCP Client for debian-installer (udeb)
 isc-dhcp-common - common files used by all of the isc-dhcp packages
 isc-dhcp-dbg - ISC DHCP server for automatic IP address assignment (debuging sym
 isc-dhcp-dev - API for accessing and modifying the DHCP server and client state
 isc-dhcp-relay - ISC DHCP relay daemon
 isc-dhcp-relay-dbg - ISC DHCP server for automatic IP address assignment (relay debug)
 isc-dhcp-server - ISC DHCP server for automatic IP address assignment
 isc-dhcp-server-dbg - ISC DHCP server for automatic IP address assignment (server debug
 isc-dhcp-server-ldap - DHCP server that uses LDAP as its backend
Closes: 616290
Changes: 
 isc-dhcp (4.3.0a1-2.1) experimental; urgency=medium
 .
   * Non-Maintainer Upload
   * rules: Fix bind patching.
   * bind-patches/hurd: Add upstream patch to fix Hurd build.
   * rules: Select proper backends in the Hurd case.
   * dhclient-script.hurd, dhclient-script.hurd.udeb,
     rfc3442-classless-routes.hurd: Add Hurd scripts.
   * Closes: #616290.
Checksums-Sha1: 
 3a07e824b54c82d22ee33cc63d135165017c5ee1 2598 isc-dhcp_4.3.0a1-2.1.dsc
 c9e9bef45e1d6cbb9eefaea38a8bf487e8a986dd 74964 isc-dhcp_4.3.0a1-2.1.debian.tar.xz
 676850127aea3e5b30afd9289188bbdcb2b5a34b 850976 isc-dhcp-server_4.3.0a1-2.1_amd64.deb
 ef91ae436eabaed5d0c8c4c4aaf6577d7367999f 27748 isc-dhcp-server-dbg_4.3.0a1-2.1_amd64.deb
 71ced01fe38f107263cf2a78fcf2191a926a6b5f 11774494 isc-dhcp-dbg_4.3.0a1-2.1_amd64.deb
 a69193cced60e4d31ef2313339678959f67fe393 810996 isc-dhcp-server-ldap_4.3.0a1-2.1_amd64.deb
 f8ef7a6d34947248f113656b97243a12207d3ff1 736128 isc-dhcp-common_4.3.0a1-2.1_amd64.deb
 65c6d3489253a63ba562fcc52f73d49f4a50581a 108436 isc-dhcp-dev_4.3.0a1-2.1_amd64.deb
 b50a6ecad6ab3896c683c1a02312928105d89b3a 727714 isc-dhcp-client_4.3.0a1-2.1_amd64.deb
 5254316f5301404a046fb9b7abe3efd781b1739f 27750 isc-dhcp-client-dbg_4.3.0a1-2.1_amd64.deb
 16387535b0ec80d83dc468ffd7949a83c5898209 672722 isc-dhcp-client-udeb_4.3.0a1-2.1_amd64.udeb
 18bde35c413d3d2ba984102a2b418b2643d0c648 677432 isc-dhcp-relay_4.3.0a1-2.1_amd64.deb
 c59b3444802b7989176867ff709ef06e751e6066 27750 isc-dhcp-relay-dbg_4.3.0a1-2.1_amd64.deb
Checksums-Sha256: 
 510b40a06d0efd741eccc9198c8da5c70da5968d84f9b0b206d75f20f3a1f960 2598 isc-dhcp_4.3.0a1-2.1.dsc
 7f6cf5c2bbbbb9dcfe91630fd366a3f303d5d53caa755f938fc3f142de8184b1 74964 isc-dhcp_4.3.0a1-2.1.debian.tar.xz
 66cc4a51b834225b71cd0ccbba67d901c179fcd2eddb44a9fc27985cb8adc69a 850976 isc-dhcp-server_4.3.0a1-2.1_amd64.deb
 b1d5a02d2fe525a81fb7e1614f7a2a76862efcb546cbc2c91d64b535b2caaddc 27748 isc-dhcp-server-dbg_4.3.0a1-2.1_amd64.deb
 ec60bb92929713af01ea90a1c50599f3debb8ee2b736a96ad32606806b1869e9 11774494 isc-dhcp-dbg_4.3.0a1-2.1_amd64.deb
 8c8e05e37002e654c99a0d7c0ba53c6c78bfd0b0bfb7bd944e08034eb7f4013b 810996 isc-dhcp-server-ldap_4.3.0a1-2.1_amd64.deb
 c3fbf83ca8a9e9fae17872b85791101ab6e5c07d313b0f28a97df6667e3210bf 736128 isc-dhcp-common_4.3.0a1-2.1_amd64.deb
 2c5afffe40eb38fb88e91c162d56ee167dbb5ecdf3db42dbfd372460517b67af 108436 isc-dhcp-dev_4.3.0a1-2.1_amd64.deb
 2f64a994b391c06d91794620783398daead50d9006f8953d7b068b05b3c2e348 727714 isc-dhcp-client_4.3.0a1-2.1_amd64.deb
 bc35d3187b0b64b9697b7485a7e3603a113e492d43def6717e4cce6749e81d60 27750 isc-dhcp-client-dbg_4.3.0a1-2.1_amd64.deb
 df81ad2c6bd8215cbcb7de76ee1b3c43a22896b2b7f7d21f36368a968bf43831 672722 isc-dhcp-client-udeb_4.3.0a1-2.1_amd64.udeb
 71fa4b27b5ef2038f263cca7951d1452e4fb63e405060ef204c6265ce81230cc 677432 isc-dhcp-relay_4.3.0a1-2.1_amd64.deb
 5eba79a1744e93ac0c159fb01f6919def3e31915021762cea12c09dcb3c6b567 27750 isc-dhcp-relay-dbg_4.3.0a1-2.1_amd64.deb
Files: 
 81180a6bb544b69d33e1ecf33410b026 2598 net important isc-dhcp_4.3.0a1-2.1.dsc
 3ccf672eab6a56b205f1bbed536326b9 74964 net important isc-dhcp_4.3.0a1-2.1.debian.tar.xz
 15a036721c5d7c36733fab65e0838122 850976 net optional isc-dhcp-server_4.3.0a1-2.1_amd64.deb
 f6a770253db3011218a6b79096ac1587 27748 oldlibs extra isc-dhcp-server-dbg_4.3.0a1-2.1_amd64.deb
 9b51e6b0872acecc2929bcc6d09c524d 11774494 debug extra isc-dhcp-dbg_4.3.0a1-2.1_amd64.deb
 64d4655c5d0d28901f6558dc41b90df0 810996 net optional isc-dhcp-server-ldap_4.3.0a1-2.1_amd64.deb
 94060ceee2109d756f315ac12881a319 736128 net important isc-dhcp-common_4.3.0a1-2.1_amd64.deb
 b5b58b91fe863dcade5168d0c52a0532 108436 devel optional isc-dhcp-dev_4.3.0a1-2.1_amd64.deb
 0a36a2e112874cbd58005f3796fdd8d9 727714 net important isc-dhcp-client_4.3.0a1-2.1_amd64.deb
 42b8c8733b06ef54191331293ea502c2 27750 oldlibs extra isc-dhcp-client-dbg_4.3.0a1-2.1_amd64.deb
 ca7a1e7fbf650170bc304b1f8de989ac 672722 debian-installer extra isc-dhcp-client-udeb_4.3.0a1-2.1_amd64.udeb
 91ddf45ffc8396b032c847f4816acd80 677432 net optional isc-dhcp-relay_4.3.0a1-2.1_amd64.deb
 d64d36c214e656869d40a9ac938a61d7 27750 oldlibs extra isc-dhcp-relay-dbg_4.3.0a1-2.1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTQcMgAAoJEJTQtYw0gxjVRbAP/ir65XBV334KjmBOlLkupQoJ
4Hix0t1s4gJzzBE2cr4+qjmaB/GE4tBpTPTJtHlZIzwN2zp9Z0MkrHPilm3qPiZE
cCj1CjE2QXDAL0ZD1pT7Oi7JcVYUhdjMCe8VbOEMiC1xiSztbuoUy7+/mzf02gwo
gM6awMhdqe38noZxNwQou7TUD9iXhaLsRJ1x4ynqAHD5rjmXjWhxI/aeQw0eJMjF
5UcE5AkSa4S3DQTXHqttii/kYAWO/whfDt/5myU9VPS5mhtnLa8gBE85IoexhlkR
r47xyVJE/vAz942L7xtplis/QDbPXbONvdnme0SiILTlBq2b27buTXldcDDjaJT7
/Y/LEyLK4yjoHl1Gue2g/fS7VjO8DZ/8fMD+R1oYLSyvmUECVXcaA7wfQZTPfcvS
4T1/u4pKM2UJPbqFQvVYsSt2mzt3pV43kMwrlLi6/SKfH0U3be6//KpWe+3KWL/n
UEMWvgKRzC6PCjO20ocm3KzCQKti1egfZAM+Esb3ZQflQEPk/Jjx3xek/NoGsZsm
4p5kAOcpihD0VGXuHUb4k/SsSykJlDq9Js2GavshF3wXnXze/GJEoBf1hO6b48sL
eFcWOPnjEjTVEhIcX79wZmdnJ1wvijvx+jYhQ0+YAS1xnmCS2nfX6LjxHnCqIpSV
rtkrZL7r9lbpKjfNgotD
=gn00
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>:
Bug#616290; Package isc-dhcp. (Mon, 07 Apr 2014 09:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>. (Mon, 07 Apr 2014 09:24:04 GMT) Full text and rfc822 format available.

Message #313 received at 616290@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: svante.signell@gmail.com, 616290@bugs.debian.org
Subject: Re: Bug#616290: isc-dhcp: Updated patches for GNU/Hurd
Date: Mon, 7 Apr 2014 11:21:26 +0200
Samuel Thibault, le Mon 07 Apr 2014 11:07:05 +0200, a écrit :
> Samuel Thibault, le Tue 25 Mar 2014 21:21:33 +0100, a écrit :
> > Control: tags -1 + patch
> > 
> > I have pushed all that in a commit, which you can pull from the
> > experimental branch of
> > ssh://alioth.debian.org/srv/home/users/sthibault/isc-dhcp.git
> > 
> > I plan to NMU these changes to experimental.
> 
> I have uploaded them to DELAYED/5.

Ergl, I meant to upload to delayed, but uploaded to experimental.

Samuel



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:29:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.